#
# spec file for package openstack-trove
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component trove
%define groupname %{component}
%define username %{component}

%define version_unconverted 9.0.0.0rc2.dev20

Name:           openstack-%{component}
Version:        9.0.0.0~xrc2~dev20
Release:        1.2
Summary:        Openstack DBaaS (Trove)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/trove
Source:         http://tarballs.openstack.org/trove/trove-master.tar.gz
Source2:        %{name}.logrotate
Source4:        %name.conf
# PATCH-FIX-UPSTREAM 0002-Add-ZypperPackagerMixin-to-guestagent.patch -- https://review.openstack.org/#/c/366165
Patch2:         0002-Add-ZypperPackagerMixin-to-guestagent.patch
# systemd service files
Source20:       openstack-trove-api.service
Source21:       openstack-trove-conductor.service
Source22:       openstack-trove-taskmanager.service
Source23:       openstack-trove-guestagent.service
Source50:       README.config
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Sphinx >= 1.1.2
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.5.21
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       logrotate
Requires:       python >= 2.7
Requires:       python-trove = %{version}
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Trove is an Incubated OpenStack project providing
Database as a Service for Openstack.

%package -n python-trove
Summary:        Openstack DBaaS (Trove) - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.6.8
Requires:       python-Babel >= 2.3.4
Requires:       python-Jinja2 >= 2.8
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-Routes >= 2.3.1
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WebOb >= 1.7.1
Requires:       python-cinderclient >= 3.3.0
Requires:       python-designateclient >= 2.7.0
Requires:       python-enum34 >= 1.0.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-heatclient >= 1.10.0
Requires:       python-httplib2 >= 0.9.1
Requires:       python-iso8601 >= 0.1.11
Requires:       python-jsonschema >= 2.6.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-lxml >= 3.4.1
Requires:       python-netaddr >= 0.7.18
Requires:       python-netifaces >= 0.10.4
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-oslo.concurrency >= 3.25.0
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-oslo.db >= 4.27.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.messaging >= 5.29.0
Requires:       python-oslo.middleware >= 3.31.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.service >= 1.24.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-osprofiler >= 1.4.0
Requires:       python-passlib >= 1.7.0
Requires:       python-pexpect >= 3.1
Requires:       python-proboscis >= 1.2.5.3
Requires:       python-six >= 1.10.0
Requires:       python-sqlalchemy-migrate >= 0.11.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-swiftclient >= 3.2.0
Requires:       python-troveclient >= 2.2.0
Requires:       python-xmltodict >= 0.10.1

%description -n python-trove
This package contains the core code of OpenStack Trove.

%package api
Summary:        Openstack DBaaS (Trove) - API
Group:          System/Management
Requires:       %{name} = %{version}
Requires:       %{name}-conductor = %{version}

%description api
This package contains the OpenStack Trove Manager Daemon.

%package conductor
Summary:        Openstack DBaaS (Trove) - Conductor
Group:          System/Management
Requires:       %{name} = %{version}

%description conductor
This package contains the conductor of OpenStack Nova

%package taskmanager
Summary:        Openstack DBaaS (Trove) - Taskmanager
Group:          System/Management
Requires:       %{name} = %{version}

%description taskmanager
This package contains the Database Service TaskManager

%package guestagent
Summary:        Openstack DBaaS (Trove) - GuestAgent
Group:          System/Management
Requires:       %{name} = %{version}

%description guestagent
This package contains the Database Service GuestAgent, The guestagent is
a service that runs within the guest instance, responsible for managing
and performing operations on the Database itself. The Guest Agent
listens for RPC messages through the message bus and performs the
requested operation.

%package test
Summary:        Openstack Trove - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-WebTest >= 2.0.27
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-nose >= 1.3.7
Requires:       python-nosexcover >= 1.0.10
Requires:       python-openstack.nose_plugin >= 0.7
Requires:       python-os-testr >= 1.0.0
Requires:       python-pycrypto >= 2.6
Requires:       python-testrepository >= 0.0.18
Requires:       python-testtools >= 2.2.0
Requires:       python-wsgi_intercept >= 0.6.1

%description test
This package contains testsuite files for %{name}.

%prep
%setup -q -n %{component}-%{version_unconverted}
%patch2 -p1
%openstack_cleanup_prep

%build
python setup.py build
#python setup.py build_sphinx -b man

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

### directories
install -d -m 700 %{buildroot}%{_rundir}/%{component}
install -d -m 0755 %{buildroot}/%_tmpfilesdir
install -D -m 644 %{SOURCE4} %{buildroot}/%_tmpfilesdir/%name.conf
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/cache/%{component}

### configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-api.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-conductor.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-taskmanager.conf.d/
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
install -p -D -m 600 etc/trove/trove.conf.sample %{buildroot}%{_sysconfdir}/trove/trove.conf
install -p -D -m 600 etc/trove/trove-guestagent.conf.sample %{buildroot}%{_sysconfdir}/trove/trove-guestagent.conf
install -p -D -m 600 etc/trove/trove-taskmanager.conf.sample %{buildroot}%{_sysconfdir}/trove/trove-taskmanager.conf
install -p -m 644 etc/trove/*.ini %{buildroot}%{_sysconfdir}/%{component}/
install -d %{buildroot}%{_sysconfdir}/%{component}/conf.d

for i in etc/%{component}/%{component}*conf.sample; do
    install -p -D -m 0644 $i %{buildroot}/${i%%.sample}
done

### set default configuration
%define trove_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{trove_conf} DEFAULT log_dir %{_localstatedir}/log/%{component}

### bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

### Install systemd unit services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE20} %{buildroot}%{_unitdir}/%{name}-api.service
install -p -D -m 444 %{SOURCE21} %{buildroot}%{_unitdir}/%{name}-conductor.service
install -p -D -m 444 %{SOURCE22} %{buildroot}%{_unitdir}/%{name}-taskmanager.service
install -p -D -m 444 %{SOURCE23} %{buildroot}%{_unitdir}/%{name}-guestagent.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-conductor
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-taskmanager
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-guestagent

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre %{name}-api.service

%post api
%service_add_post %{name}-api.service

%preun api
%service_del_preun %{name}-api.service

%postun api
%restart_on_update %{name}-api.service
%service_del_postun %{name}-api.service

%pre conductor
%service_add_pre %{name}-conductor.service

%post conductor
%service_add_post %{name}-conductor.service

%preun conductor
%service_del_preun %{name}-conductor.service

%postun conductor
%restart_on_update %{name}-conductor.service
%service_del_postun %{name}-conductor.service

%pre taskmanager
%service_add_pre %{name}-taskmanager.service

%post taskmanager
%service_add_post %{name}-taskmanager.service

%preun taskmanager
%service_del_preun %{name}-taskmanager.service

%postun taskmanager
%restart_on_update %{name}-taskmanager.service
%service_del_postun %{name}-taskmanager.service

%pre guestagent
%service_add_pre %{name}-guestagent.service

%post guestagent
%service_add_post %{name}-guestagent.service

%preun guestagent
%service_del_preun %{name}-guestagent.service

%postun guestagent
%restart_on_update %{name}-guestagent.service
%service_del_postun %{name}-guestagent.service

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%dir %attr(0750, %{username}, %{username}) %{_localstatedir}/cache/%{component}
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-api.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-conductor.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-taskmanager.conf.d/
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/trove-mgmt-taskmanager
%{_bindir}/trove-manage
%{_sysconfdir}/%{component}/*.ini
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%dir %_tmpfilesdir
%_tmpfilesdir/%name.conf

%files -n python-%{component}
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info

%files api
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-api.service
%{_sbindir}/rc%{name}-api
%{_bindir}/trove-api

%files conductor
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-conductor.service
%{_sbindir}/rc%{name}-conductor
%{_bindir}/trove-conductor
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}-conductor.conf

%files taskmanager
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-taskmanager.service
%{_sbindir}/rc%{name}-taskmanager
%{_bindir}/%{component}-taskmanager
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}-taskmanager.conf

%files guestagent
%defattr(-,root,root,-)
%doc LICENSE
%{_unitdir}/%{name}-guestagent.service
%{_sbindir}/rc%{name}-guestagent
%{_bindir}/%{component}-guestagent
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}-guestagent.conf

%files test
%defattr(-,root,root)
%{_bindir}/trove-fake-mode
%{_localstatedir}/lib/%{name}-test/

%changelog
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev20:
  * Fix PostgreSQL non-dynamic configration tests
  * Fix incorrect usage of assertTrue
  * drop extra word to fix typo
* Sat Feb 24 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev15:
  * Remove install-guide tox env
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev14:
  * Allow host URL for versions to be configurable
* Thu Feb 22 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev13:
  * Generate policy sample file automatically
  * report\_root should always use context.user
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev9:
  * [api-ref]: update instance creating parameters
  * Add bandit-baseline check job
* Mon Feb 12 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev5:
  * Remove support of creating volume from Nova
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev3:
  * Remove security.authorization option from mongos
* Fri Feb  9 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0rc2.dev1:
  * Update reno for stable/queens
  9.0.0.0rc1
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev28:
  * Remove unused optparse code in trove.db
  * Zuul: Remove project name
* Mon Feb  5 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev25:
  * Update the validation template for postgresql
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev23:
  * Unable to grow/shrink Vertica 9.x cluster
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev21:
  * Accept the IBM DB2 license during the DIB process
  * Remove hardcoded version in DB2 install path
  * Improve Vertica 9.x support
  * Unable to perform backup on DB2 instance
  * [api-ref] Add sections for instance logs
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev11:
  * Revert Cassandra version to 2 on ubuntu element
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev9:
  * Fix gate error
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev8:
  * Add innodb rules for mysql validation template
  * Updated from global requirements
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version trove-9.0.0.0b4.dev5:
  * Fix Cassandra element
  * Change file permissions on element script
  * [api-ref] Update style and instances api
  9.0.0.0b3
  * Use neutronclient to get networks
  * [api-ref] Add fault names for the error response codes
  * Remove log translations
  * Missing element-deps files for xenial
  * Remove checkpoint\_segments validation rules
  * Adding missing dependencay
  * Remove use of unsupported TEMPEST\_SERVICES variable
  * Fix api exception with unicode tenant name
  * Fix a error exception code
  * Add missing permission on 10-fix-mycnf for Percona
  * Unable to build cassandra images
  * Upgrade Postgresql support to v9.6
  * Use DocumentedRuleDefault instead of RuleDefault
  * Guest agent won't start on Xenial Percona 5.7
  * Updated from global requirements
  * Remove the heat related documents
  * Fix systemd service mongodb on xenial element
  * Updated from global requirements
  * Always kill all child processes when backup runner exits
  * Import experimental Zuul jobs
  * Initialize BadRequest exception with correct message
  * Add validate\_instances\_network for cluster create
  * Add support for MySQL 5.7 on Ubuntu Xenial
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version trove-8.0.1.dev2:
  * Move Pylint ignore
  * Fix gate issues
  8.0.0
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b4.dev1:
  * Fix AttributeError in api example snippets tests
  8.0.0.0b3
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev29:
  * move from oslosphinx to openstackdocstheme
  * import content from cli-reference guide in openstack-manuals
  * import admin-guide content from openstack-manuals
  * Updated from global requirements
  * Remoe obsolete apidocs
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev22:
  * rearrange existing docs to fit the new standard layout
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev21:
  * Trove:trove guide link
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev20:
  * Fix a exception error
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev18:
  * When running in gate environment, don't start services
* Sun Jun 18 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev17:
  * Trove user-delete API can use periods in user names in fact
  * Removed instance reset\_password from trove
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev15:
  * TrivialFix: Update api-ref link
  * Improve list-of-ports validation
  * Fix a few typos
  * Fix some reST field lists in docstrings
  * Wrong comment symbol in configuration file
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev10:
  * Redis 'repl-backlog-size' conf parameter using wrong MIN value
  * Log the right attached configuration id
  * Fix user-list failed if host uses host\_ip/netmask
  * Fix glance cli option
* Sun Jun 11 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev6:
  * Handle isotime deprecation in oslo\_utils.timeutils
  * handle impending oslo.messaging deprecation
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev3:
  * Updated from global requirements
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b3.dev2:
  * Updated from global requirements
  * Updated from global requirements
  8.0.0.0b2
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev46:
  * Handle log message interpolation by the logger in common/
  * Handle log message interpolation by the logger part 8
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev42:
  * Handle log message interpolation by the logger part 10
  * Remove usage of parameter enforce\_type
  * Handle log message interpolation by the logger part 6
  * Handle log message interpolation by the logger part 9
  * Handle log message interpolation by the logger in common/strategies/
  * Handle log message interpolation by the logger part 11
  * Handle log message interpolation by the logger part 7
  * Handle log message interpolation by the logger part 5
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev32:
  * Mask passwords in configuration-show
  * Update reno for stable/ocata
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev29:
  * Updated from global requirements
  * Add port 16379 to conf.sample
* Wed May 31 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev26:
  * Remove Trove's support for Heat
  * How to create a trove instance
* Tue May 30 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev22:
  * trovestack doesn't understand the new systemd based system
  * fix issue with Nova passthrough deprecation
* Thu May 11 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev19:
  * Fix Cassandra cluster restart
* Tue May  9 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev17:
  * Fixing PROXY\_AUTH\_URL not being populated properly
* Sat May  6 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev15:
  * fix build: identity\_admin is no longer available in CI
  * Add Couchbase helper client methods
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev12:
  * Redis backup continues if auto one already running
  * Fixed MySQL 5.7 not starting after restore
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev9:
  * enable trove-api behind mod-wsgi
  * Updated from global requirements
* Mon Apr 24 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev6:
  * fix-gate: change trove auth URL's to reflect new URL settings
  * Use os\_cache instead no\_cache
  * Remove LIBS\_FROM\_GIT\_\*
  * Stabilize gate: Fix CONTROLLER\_IP is .1 issue
  * DeprecationWarning: passlib.utils.generate\_password
  * Add translation\_checks for i18n
  * [gate fix] Run resize-\* for MySQL only
  * backoff in poll\_until
  * Test to figure out why CONTROLLER\_IP is blank
  * secure oslo\_messaging.rpc
  * Update method cfg.set\_defaults
  * formalizing configure\_nova\_kvm
  * Fix slow nodes causing guest\_log to fail
  * Create net/subnet for alt\_demo tenant
  * Removed check for KEYSTONE\_CATALOG\_BACKEND from trove plugin
  * Fix Galera\_common.grow/shrink to propogate exceptions
  * allow PATH\_TROVE to be specified by gate or defaulted by trovestack
  * PostgreSQL guest\_log test fails intermittently
  * Fix Postgresql pg\_rewind call
  * Fix a typo in service.py and trove\_testtools.py
  * Concentrated test\_validate\_xx\_configuration to a new method
  * Add max\_prepared\_stmt\_count to validation rules
  * Delete unused method verify\_errors
  * Fix pylint Error:PGSQL\_RECOVERY\_CONFIG
  * Fix call to to\_mb
  * Add os\_admin to the ignored\_dbs for PostgreSQL
  * Add missing '\_LE' import in trove/cmd/guest.py
  * Increase cluster\_complete timeouts
  * Turn off test\_create\_too\_many\_instances
  * tempest/test\_flavors: vcpus is in db
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version trove-8.0.0.0b2.dev5:
  * Update SUSE distro information in install guide
  * fix the gate: heat-cfntools was yanked out from under us
  8.0.0.0b1
  * Use os_cache instead no_cache
  * Add jinja2 autoescape=True
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev40:
  * Revert "Remove the tempest plugin"
  * Associate datastore, version with volume-type
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev37:
  * update setup.cfg for classifier python 3.5
  * Remove the tempest plugin
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev33:
  * add debug information to scenario test stdout
  * Updated from global requirements
  * DeprecationWarning: passlib.utils.generate_password
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev28:
  * Remove LIBS_FROM_GIT_*
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev27:
  * Improve Gate: address multiple issues relative to timing
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev26:
  * Fix the gate; py27 job failure with failure to import designate tests
* Sun Mar 19 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev25:
  * Remove redstack reference
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev23:
  * we now need to have dib installed explicitly
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev22:
  * Sphinx: Treat warnings as errors
  * [Fix gate]Update test requirement
  * Updated from global requirements
  * Handle readfp deprecation
  * Stabilize gate: Fix CONTROLLER_IP is .1 issue
  * Removed reimport in models.py
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev11:
  * Add support for module-reapply command
  * Fix module-instances command
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev7:
  * Install Redis 3.2.6 by compilation
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev5:
  * Handle log message interpolation by the logger in cluster/
  * Handle log message interpolation by the logger in backup/
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev2:
  * Typo fix: encouter => encounter, lastest => latest
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0rc2.dev1:
  * fix requirements file branching for trove guests
  7.0.0.0rc1
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev17:
  * Prepare for using standard python tests
  * Add configuration support for clusters
  * backoff in poll_until
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev13:
  * insulate TroveContext from possible changes in oslo.context
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev12:
  * Add translation_checks for i18n
  * Add support for cluster restart
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev9:
  * Add i18n translation to guestagent datastore 1/5
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev7:
  * Add i18n tranlastion to guestagent datastore 2/5
  * Add i18n translation to others 3/3
  * Add i18n translation to extensions 3/3
* Mon Jan 30 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b4.dev1:
  * unwedge the gate
  7.0.0.0b3
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev108:
  * Updated from global requirements
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev107:
  * flake8 to ignore releasenotes directory
  * Display boolean module values
  * Add i18n translation to guestagent 4/5
  * Add i18n translation to extensions 2/3
  * Enable Redis configuration tests
  * Add i18n translation to guestagent 2/5
  * Add i18n tranlastion to common 3/5
  * Add i18n translation to guestagent datastore 4/5
  * Fix backup of mysql variants on Centos
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev89:
  * [gate fix] Handle case where hostname ends in .1
  * [gate fix] Run resize-* for MySQL only
  * Add i18n translation to guestagent 3/5
  * Add i18n translation to others 1/3
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev81:
  * Test to figure out why CONTROLLER_IP is blank
  * Disable wait for force-delete
  * Add i18n translation to others 2/3
  * Add i18n translation common 5/5
  * Add i18n translation to common 2/5
  * Add i18n tranlation to common 4/5
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev69:
  * [fix gate] Change size of MySQL flavors
* Sun Jan 15 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev68:
  * Add i18n translation to guestagent datastore 3/5
  * Fix i18n translation in common 1/5
  * Add i18n translation to guestagent 1/5
  * Add i18n translation to guestagent 5/5
  * Add i18n translation to extenstions 1/3
  * Add i18n translation to guestagent datastore 5/5
* Sat Jan 14 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev56:
  * secure oslo_messaging.rpc
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev54:
  * Fix trovestack clean to remove nova instances
  * Remove negative backup tests
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev51:
  * Have scenario tests retrive guest log on error
  * Remove netifaces useless requirement
  * Update method cfg.set_defaults
  * Add support for module ordering on apply
  * Delete description of the disk
* Fri Jan  6 2017 igarcia@suse.com
- Use config dir(s) for trove-api ExecStartPre service file (bsc#1018614)
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev43:
  * Move try-again loop around all data methods
  * Skip redis clustering tests
  * Updated from global requirements
  * Trivial: Remove vim header from source files
  * Fix Trove tempest plugin
* Wed Jan  4 2017 igarcia@suse.com
- Move trove-manage to reside in the openstack-trove package
* Thu Dec 29 2016 cloud-devel@suse.de
- Create config dirs for api,conductor and taskmaster
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev34:
  * get rid of a couple of old oslo-incubator object references
  * trove pylint cleanup(s)
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev30:
  * Updated from global requirements
  * Replace pexpect with processutils in volume.py
  * Tests skip adding data if instance not exists
* Sat Dec 24 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev25:
  * Fix Redis cluster grow scenario tests
  * Restrict negative backup tests to Redis only
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev23:
  * Updated from global requirements
  * Add missing LOG mocks to unittests
  * formalizing configure_nova_kvm
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev17:
  * Remove negative backup tests from api run
  * Print error on resize failure
  * allow unauthenticated packages to be installed
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev12:
  * Have inst-error delete before inst-create-wait
  * (fix gate) Remove liberty from the releasenotes
  * Debug code to dump env
  * Fix slow nodes causing guest_log to fail
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev5:
  * Avoid double-check when waiting for test states
* Mon Dec 19 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev4:
  * Add support for nic and az in cluster grow
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b3.dev2:
  * Tweak trove devstack plugin
  * Fix Gate: Force pip2 instead of pip
  7.0.0.0b2
  * Clean up trovestack utility (fix kick-start)
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Wed Dec 14 2016 aplanas@suse.com
- Create /etc/trove/trove.conf.d
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev66:
  * Stop caching client to fix long-running test fails
  * Add Xenial support for MariaDB
* Sun Dec 11 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev62:
  * Cluster Upgrade
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev61:
  * Removing reference to trove-integration in doc index
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev59:
  * Add DeprecationWarning in test environments
  * Add support for Oslo Policies to Trove
  * Fix mountpoint detection
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev54:
  * Fix a typo
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev53:
  * (fix troveclient gate) Use alt-demo network
  * Add compute instance ID and volume ID to trove show output
  * Fix incorrect version and release details
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev48:
  * Show team and repo badges on README
  * Updated from global requirements
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev44:
  * (fix gate) Don't source openrc in gate run
  * Initial work to support Xenial
  * Various post-upgrade fixes
  * Scenario tests wait on helper user creation
  * Fix module apply
  * Install Couchbase SDK for scenario test client
  * when pylint has an error loading the config, it should fail
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev33:
  * Create net/subnet for alt_demo tenant
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev31:
  * Have api tests use IPv4
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version trove-7.0.0.0b2.dev29:
  * Allow splitting test groups into sub groups
  * Removed check for KEYSTONE_CATALOG_BACKEND from trove plugin
  * Fix Galera_common.grow/shrink to propogate exceptions
  * trovestack: Better error message for missing arg
  * Updated from global requirements
  * Enable hacking extensions framework
  * Use http_proxy_to_wsgi middleware
* Tue Nov 22 2016 tbechtold@suse.com
- Switch to systemd
- Fix systemd tempfile generation
* Tue Nov 22 2016 tbechtold@suse.com
- Update to version trove-7.0.0.0b2.dev18:
  * Updated from global requirements
  * Fix log-generator-user-by-row test
  * Fix race condition in cluster-show
  * clean up references to trove-integration and redstack
  * Have cluster-show list all ips
  * Have scenario tests use ipv4
  * Fix error case where server.fault is missing
  * Fail on deleting non-existing database
  * Files with no code must be left completely empty
  * Updated from global requirements
  * Add pycrypto to the requirements file
  * Multi-Region Support
  * trovestack clean doesn't delete secgroups
  * Updated from global requirements
  * Change the way trovestack figures the default network
  * Add reference to OpenStack documentation
  * add section on code review priority
  * Updated from global requirements
  * Remove blacklist test volume
  * Update the Signing Key for Percona Debian and Ubuntu Packages
  * Update some information
  * Fix a typo in previous commit; missed $
  * Remove nic handling in galera cluster grow
  * Make trovestack able to run in the gate context
  * Fix scenario tests
  * Updated from global requirements
- Remove 0001-Extract-RPMPackagerMixin.patch . Applied upstream.
* Sun Oct 16 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev93:
  * PostgreSQL guest_log test fails intermittently
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev91:
  * Fix Postgresql pg_rewind call
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev89:
  * Updated from global requirements
  * Drop MANIFEST.in - it's not needed by pbr
  * beginning to change trove-integration
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev81:
  * Improve guestagent datastore models
  * Updated from global requirements
  * Enable release notes translation
  * Removed H237 from tox.ini
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev73:
  * Fix SafeConfigParser DeprecationWarning in Python 3.2
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev71:
  * Delete unnessary i18n
  * Fix some typos in doc and comments
  * Fix typos in description
  * Updated from global requirements
  * Fix Old style classes are deprecated and no longer available in Python 3
  * Fix a typo in service.py and trove_testtools.py
  * Use more specific asserts in tests
  * Modify parameters of spelling mistakes
  * Config logABug feature for Trove api-ref
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev56:
  * Add Apache 2.0 license to source file
  * Updated from global requirements
  * document configure and verify steps
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev51:
  * Updated from global requirements
  * Delete openstack in flake8
  * Taskmgr & guestagent use inconsistent topics
  * Make parameter consistent in devstack plugin
  * Remove cfg and logging import unused
  * Use common methods for cluster validation
  * Remove unused variables
  * Perfect the mysql test
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev35:
  * Use assertIn instead of assertTrue(A in B)
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev34:
  * Fixing trove config group request
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev33:
  * Concentrated test_validate_xx_configuration to a new method
  * Add max_prepared_stmt_count to validation rules
  * update contributing.rst to reflect release notes and bugs
  * Fix the Manager module path in documentation
  * Display flavor-ephemeral in trove flavor-list command
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev23:
  * Fixup indentation errors
  * Repeat definition blacklist
  * Fix typos in validation-rules.json & service.py
  * Delete unused method verify_errors
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev15:
  * Updated from global requirements
  * Skip 'eject valid master' replication test
  * Fix Postgresql configuration test and guest-log
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev10:
  * improve pylint; generate errors and config in sorted order
* Tue Sep 20 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev9:
  * Fix pylint Error:PGSQL_RECOVERY_CONFIG
  * Fix call to to_mb
* Mon Sep 19 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev5:
  * Missing logging import
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev4:
  * Fix error: option --no-parallel not recognized
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0rc2.dev2:
  * Updated from global requirements
  * Update reno for stable/newton
  6.0.0.0rc1
  * Handle the exceptions and errors correctly for DB2
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev72:
  * initial chkin of pylint
  * Cluster code looks for wrong field in request for volume type
  * Update #noqa for out 79 character
  * Separate database and user create in prepare
  * Add support for modules in cluster create/grow
  * Insulate TroveContext from oslo.context changes
  * Stop adding ServiceAvailable group option
  * Call GuestError with proper options
  * Cassandra fix lost keyspace(s) after cluster grow
  * Deprecate 'guest_log_long_query_time'
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev55:
  * Allow for invalid packet sequence in keepalive
  * Implement full online backups for DB2
  * Add command to delete BUILD instances and clusters
  * Implement Instance Upgrade
  * Implement configuration management for DB2
  * [api-ref] Remove temporary block
  * Fix a small typo
  * Quota Management
  * Tests verify cluster data via every node
  * Module re-apply does not reflect updated values
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev37:
  * Update api-ref documentation
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev35:
  * Fix race in Postgres user-list
  * Postgresql Streaming Replication
  * Skip 'eject valid master' replication test
  * Remove hardcoded timeout in MongoDB clusters
  * Add os_admin to the ignored_dbs for PostgreSQL
  * Update some installation instructions
  * To simplify the setUp
  * Update release note page ordering
  * Reference to unknown CONF in fakemode.py
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev20:
  * Updated from global requirements
  * standardize release note page ordering
  * Remove unuse flavor test
  * In fakemode.py, add the import os
  * Fix assert root connection on Couchbase
  * Trove workbook for scheduled backups
  * Fix reading files that are symlinks
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev10:
  * Add missing '_LE' import in trove/cmd/guest.py
  * Increase cluster_complete timeouts
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev7:
  * [fix gate] Cluster grow not showing locality
  * Add --incremental flag to backup-create
  * Port pagination on Python 3
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version trove-6.0.0.0b4.dev3:
  * Display more flavor information in trove flavor-list command
  * Locality support for clusters
* Tue Sep  6 2016 tbechtold@suse.com
- Update to version trove-6.0.0.0b4.dev1:
  6.0.0.0b3
  * Correct incorrect i18n of some messages
  * Recent changes to api examples
  * Cleanup trove's tox.ini and .gitignore
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Add tox entry for py35 tests
  * Remove openstack-doc-tools
  * Extend guest agent call timeouts
  * Updated from global requirements
  * Get ready for os-api-ref sphinx theme change
  * Adds the api-ref migrated RST + YAML files
  * Couchbase run backup as root
  * Turn off test_create_too_many_instances
  * tempest/test_flavors: vcpus is in db
  * Add missing ICMP option for pxc & mariadb
  * Add log retrieval to Cassandra
  * About update setup.cfg homepage
  * Updated from global requirements
  * Constraints are ready to be used for tox.ini
  * Pass 'guest_log_expiry' as a string
  * Replace some of assertEqual
  * Add trove-guestagnet.conf sample for log rotation
  * Updated from global requirements
  * guest_id missing err, switch config_drive default
  * Introduce "icmp" option for security group rule
- Remove 0003-add-a-NoopPackagerMixin-class.patch . Not
  accepted upstream and does no longer apply.
- Add 0001-Extract-RPMPackagerMixin.patch and
  0002-Add-ZypperPackagerMixin-to-guestagent.patch . Together
  these patches replace 0003-add-a-NoopPackagerMixin-class.patch
  and add support for Zypper in the troveguestagent.
- Remove 0005-fix-mysql-pid-file-path.patch
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Mon Aug 22 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Fri Jul 22 2016 vuntz@suse.com
- Fix group in systemd-tmpfiles: it's trove, not rove (bsc#976618).
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Mon May  9 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev55:
  * Update the root scenario tests
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev53:
  * Updated from global requirements
  * Python 3: avoid sets.Set and string.letters
  * pep8: exclude .git/ subdirectory
  * Python3: Add support for raise and ConfigParser
  * Mysql replicas need to set binlog_format
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev44:
  * Imported Translations from Zanata
  * Fixed kwargs being defaulted to CONF values
  * Do not remove root user on disable
  * blacklist_regex is not an option
  * Port more common unit tests to Python 3
  * Port test_template unit test to Python 3
  * Tests verify applied configuration values
  * Python3: Add support for iteritems and iterkeys
  * Python3: Add support for httplib, urlparse
  * Python3: Add support for iter.next
* Mon Apr 18 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev26:
  * Cleanup Mysql replication test on completion
* Sun Apr 17 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev24:
  * Imported Translations from Zanata
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev23:
  * Revert the legacy_compute v2 api for nova
  * Add user access scenario tests
  * PG test-helper create matching db for test user
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev19:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev18:
  * Updated from global requirements
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev17:
  * Updated from global requirements
  * Add flavor API  support for ephemeral
  * Got a nice API shell working * uses devstacks install for nova/keystone/et al * talks to nova via novaclient. * adds a few extensions to show how its done * has a single call to list instances * found a few minor bugs to discuss w/ nova crew ** Note in order to run this you have to mod the code downloaded by devstack     or have local symlinks to nova & novaclient in your src tree running trunk     This will get dealt with soon (it is a weekend!)
* Mon Apr 11 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev16:
  * Add missing args to configuration inst test
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev14:
  * Updated from global requirements
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version trove-5.0.1.dev13:
  5.0.0
  * Trove's tox tests should respect upper-constraints.txt
  * Address change in Route v2.3
  * Update .gitreview for stable/mitaka
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev32:
  * Updated from global requirements
  * Fixes migrations for MySQL 5.6.* and MariaDB 10.1.*
  * Pass optional timeout to service commands
  * clean up errors shown on galera cluster unittests
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev24:
  * Do not reset password of user-root accounts
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev23:
  * encrypt_data(): don't encode IV to base64
  * Add a minimal py34 test environment
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev19:
  * Removing some redundant words
  * Fix some unexpected tracebacks while running tox tests
  * Replace deprecated LOG.warn with LOG.warning
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev14:
  * Trove's tox tests should respect upper-constraints.txt
  * Address change in Route v2.3
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev11:
  * Fix replication scenario tests
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev9:
  * Unhandled messages logged in tox tests
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev7:
  * Removes redundant "of"
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc2.dev5:
  * Cap test_log_generator_user_by_row to 100
  * Update reno for stable/mitaka
  * Add MongoDB config server port to cfg
  * Add MongoDB cluster root-enable support
  * Remove usage of WritableLogger from oslo_log
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0rc1:
  5.0.0.0rc1
  * updating the release notes from mitaka commits
  * Fix incorrect innobackupex args (fixed gate)
  * Implementation of couchdb user and database functions
  * Secure mongodb instances and clusters by default
  * Fix pagination function
  * Add better validation to cluster shrink
  * MongoDB cluster grow failing in get_admin_password
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev20:
  * Vertica configuration groups
  * Implement Backup and Restore for CouchDB
  * Redis should perform backup using BGSAVE not SAVE
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev15:
  * Server support for instance module feature
  * Addition of DB2 backup & restore functionality
  * Moved CORS middleware configuration into set_defaults
  * Vertica Cluster Grow and Shrink
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev8:
  * Updated from global requirements
  * Update db2 settings to reflect correct hostname
* Fri Mar 11 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev5:
  * Revert "Time to get rid of most vestiges of slave_of"
* Thu Mar 10 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev4:
  * Block pymongo version 3.1
* Wed Mar  9 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev3:
  * Malformed user access sql for postgres guest agent
* Tue Mar  8 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b4.dev2:
  * Updated from global requirements
  5.0.0.0b3
* Fri Mar  4 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b3.dev102:
  * Updated from global requirements
  * Implement Cassandra clustering
  * Fix test order and region in guest_log scenario
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b3.dev97:
  * Server side of module maintenance commands
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b3.dev95:
  * Implement MariaDB Clustering
  * Fixed wrongly used assertEqual
  * Use assertEqual instead of assertTrue
  * Add support for root functions to Cassandra
  * Implement DBaaS Ceilometer Notifications
  * Updated from global requirements
  * Excessive messages logged during unit tests
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure trove services are started after openstack-keystone (bsc#955786)
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b3.dev84:
  * Pass datastore details when required (again)
  * Update setup.cfg entry points for oslo namespace-less import paths
  * Updated from global requirements
  * root enable for pxc clustered datastore
  * Enable cluster tests for Redis
  * Updated from global requirements
  * Add backup & restore for Cassandra
  * Implement Cassandra Configuration Groups
  * Disable unsupported root-disable tests
  * Fix MySQL user list pagination
  * Implement user functions for Cassandra datastore
  * Fixed test_prepare_mysql_with_snapshot failure on rhel 7.2
  * Code cleanup - commented code
  * Move 'enable root on prepare' to the base
  * Handle bad Swift endpoint in guest_log
  * pxc grow/shrink cluster implementation
  * Fix Percona XtraDB Cluster guest to work with v5.6
  * Use uppercase 'S' in word "OpenStack"
  * Add root-actions int-tests
  * Use OSprofiler options consolidated in lib itself
  * Use correct depends_on decorator for log tests
  * Add support for root-disable
  * Updated from global requirements
  * Unittests use trove_testtools
  * Remove slave_of reference from scenario tests
  * Fix issue of mismatched test-requirements.txt file
  * Add support for configuration groups in int-tests
  * Updated from global requirements
  * Enable Vertica load via curl
  * Fix apply configuration on prepare
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev45:
  * Fix to_gb & to_mb conversion function rounding issue
  * Experimental datastores use new service commands
  * Finish cluster int-tests
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev39:
  * Use assertTrue/False instead of assertEqual(T/F)
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Use configured datastore on instance creation
  * Fix race condition in replication backup delete
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev32:
  * Fix missing value types for log message
  * Define 'device_path' for Redis
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev28:
  * Fix 'cannot access' error with Redis restore
  * Updated from global requirements
  * Move storage strategy code from guestagent to common
  * Corrected error message for unsupported datastore flavors
* Fri Jan  1 2016 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev21:
  * Trivial: Remove vim header from source files
  * Keep py3.X compatibility for urllib
* Thu Dec 31 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev17:
  * Using LOG.warning replace LOG.warn
* Wed Dec 30 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev15:
  * mock out the guestagent write_file call
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev13:
  * Add MySQL int-test helper client
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev12:
  * Catch all errors in Mock detector
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev10:
  * Modifying Vertica clusters to have a master node
  * Move to oslo_db
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev6:
  * Updated from global requirements
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev5:
  * fix mongo create database
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev4:
  * Remove version per M-1 release instructions
  * Add 'volume_type' parameter to instance create
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.0b2.dev1:
  5.0.0.0b1
  * updating with other reno changes
  * Fix PostgreSQL root functions
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev83:
  * Change reporting of unhandled logging
  * Updated from global requirements
  * Add better input checking for MongoDB
  * Use stevedore directive to document plugins
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev76:
  * Port run_tests.py to Python 3
* Sun Nov 29 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev74:
  * Update Trove Installation guide
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev72:
  * Do not use api-paste.ini osprofiler options
  * Update internal status when waiting for a change
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev68:
  * Use oslo_config new type PortOpt for port options
  * Fix example value for notification_topics
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev64:
  * Delete python bytecode before every test run
  * Refactor the datastore manager classes (more)
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev60:
  * Fix configuration lookup failure
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev58:
  * Add reno for release notes management
  * fix the version info of trove to use pbr
* Mon Nov 16 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev54:
  * Updated from global requirements
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev53:
  * Remove kombu as a dependency for Trove
  * Fix tox py27 error
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev49:
  * Correct the computation of elapsed time while waiting for state change
  * Correct errors resulting in "No handlers ..." error message
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev45:
  * Guestagent configuration tests mock chown/chmod
  * Defer revision dir initialization in GA
* Wed Nov 11 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev41:
  * Added CORS middleware to Trove
  * Updated from global requirements
  * Move ignore_dbs and ignore_users out of DEFAULT
  * Redis 'hz' conf parameter using wrong MIN value
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev36:
  * Add instance create int-tests
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev34:
  * Imported Translations from Zanata
  * this should fix the failing gate
* Tue Nov  3 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev32:
  * Address issues with Trove eventlet monkey-patching
  * Refactor the datastore manager classes
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Incorrect usage of python-novaclient
  * Adding more doc strings to event simulator
* Wed Oct 28 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev24:
  * Replace assertEqual(None, *
  * Changes names of some quota values
  * The verbose option in section [DEFAULT] has been deprecated
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev19:
  * root_on_create for Couchbase should be false
  * Couchbase cluster-init command needs credentials
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev16:
  * Updated from global requirements
  * Pagination limit code refactor
  * Add .eggs/ to .gitignore
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev11:
  * oslo.utils 2.6.0 causing tox test to hang
  * Fix the bug of "Error spelling of 'AMPQ'"
  4.0.0
  * Fix promote for Redis datastore
  * Fix publish_exists_event authentication exception
  * Cleanup of Translations
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev16:
  * Fix redis cluster unit test for assertRaisesRegexp
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev14:
  * Add unspecified options to backup unittests
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev12:
  * Unused variable backup_cmd removed
  * Revert change set 217881
* Sun Oct  4 2015 tbechtold@suse.com
- adjust Requires according to requirements.txt
* Sat Oct  3 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev10:
  * Fix promote for Redis datastore
* Fri Oct  2 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev9:
  * Fix publish_exists_event authentication exception
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev7:
  * Fix the bug of "Fix spelling typo in trove"
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev5:
  * Imported Translations from Zanata
  * Use IPOpt to validate IPAddress
  * provide default port for pydev_debug_port
* Fri Sep 25 2015 cloud-devel@suse.de
- Update to version trove-5.0.0.dev1:
  4.0.0.0rc1
  * Allow more instances than cluster_member_count for pxc
  * Open Mitaka Development
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev43:
  * Updated from global requirements
  * Fix Mongo report_root call to have correct args
  * Enable deploying Trove instances into single tenant
  * Add support for extended_properties for clusters
  * Fix Postgres services management
  * Fixes the mgmt.test_datastores errors
* Sat Sep 19 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev33:
  * Word spellings have been corrected
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev32:
  * Properly patch _init_overrides_dir in MongoDB
  * Fix get_flavors test by sorting json output
  * MongoDB backup uses "nogroup" which is OS specific
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev28:
  * Add user and database actions int-tests
  * Enable all trove services by default
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev25:
  * Disable MongoDB cluster security
* Wed Sep  9 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev23:
  * Removing unused dependency: discover
* Tue Sep  8 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev22:
  * use the legacy_compute v2 api for nova instead of v2.1 for now
  * Updated from global requirements
  * Fix typos (from "UPD" to "UDP")
  * Initialize directory for Mongo's runtime files
  * Update ignore_dbs for MySQL 5.6
  * Mongodb storing config overrides in /var/run
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev14:
  * Root enablement for Vertica clusters/instances
  * Mongodb Cluster Scaling
  * Percona Xtradb Cluster implementation
  * Add support for Redis replication
  * Redis Cluster Initial Implementation
  * Expect ValidationError on an empty user update
  * Add support for MariaDB datastore in Trove
  * Add Redis backup/restore functionality
  * Fixed redeclared CONF = cfg.CONF
  * Implements Datastore Registration API
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b4.dev1:
  * Test instance name can not have special charactrers in it now
  4.0.0.0b3
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev58:
  * Fix instance from alternating status on create
* Sun Aug 30 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev57:
  * MySQL Manager Refactor
  * Increase test timeout for instance creation
  * Add generic int-test classes
  * Fix not to output confusing message in tr-tmgr.log
* Sat Aug 22 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev50:
  * Associate flavor types with datastore versions
* Fri Aug 21 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev48:
  * Fix a few typos in log messages and comments
* Thu Aug 20 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev46:
  * Fix description for "Inapt spelling of a word"
  * Fix race conditions in config overrides tasks
  * MongoDB create_admin_user not authorized
* Mon Aug 17 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev41:
  * Updated from global requirements
* Fri Aug 14 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev40:
  * Updated from global requirements
  * Configuration Groups for MongoDB
* Thu Aug 13 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev37:
  * Updated from global requirements
  * Adds the PATCH method to extensions
* Fri Aug  7 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev34:
  * Imported Translations from Transifex
  * add a missing i18n import for backup strategy
  * Notifications for exists events need nova remote admin url set
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev29:
  * Use oslo.log library instead of system logging module
  * Updated from global requirements
  * MongoDB databases and users not created on create
  * MongoDB user management - access grant/revoke/show
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev22:
  * Imported Translations from Transifex
  * User name_string schema limited to 16 chars
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev18:
  * Have devstack plugin install Trove client
  * MongoDB database management features
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev14:
  * Improve the guestagent configuration manager
  * Remove openstack.common package
  * Switch to the oslo_log library
  * MongoDB cluster strategy missing create_admin_user
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b3.dev9:
  * Updated from global requirements
  * Adds lower_case_table_names support for MySQL
  * MongoDB cluster instances missing 'key'
  * Cluster instances could falsely report 'ready'
  * MongoDB user management - root enable/show
  4.0.0.0b2
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev61:
  * Imported Translations from Transifex
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev60:
  * Updated from global requirements
  * Switch to the oslo.serialization library
  * Switch to the oslo.context library
  * MongoDB cluster taskmanager's add_shard not called
  * MongoDB prepare needs to wait for Mongo to start
  * Configuration Groups for Redis
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev50:
  * Fixed the tests in test_models.py
* Tue Jul 21 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev48:
  * Switch to oslo.service
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev46:
  * MongoDB user management - create/list/show/delete
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev44:
  * Which interfaces trove starts up on should be logged
  * Updated from global requirements
  * correct some grammar
  * Remove H305,H307,H402,H407,H904
  * Updated from global requirements
  * Support authentication in the MongoDB guest agent
  * Allow int tests to run in SSL environment
  * Move mysql datadir to a sub-directory on mounted volume
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev29:
  * Imported Translations from Transifex
  * default for percona in notification_service_id
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev26:
  * Fix unit test mocks for new mock release
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev25:
  * Updated from global requirements
  * Updated from global requirements
  * Added replica_of attribute to test_index_list
  * Fake mode service does not start after the changes to the oslo service package changes
  * Support nics and AZ for MongoDB clusters
  * Removed the non-existent method call
  * Fixes the tests in test_configuration.py
  * Updated from global requirements
  * Fix ssl.PROTOCOL_SSLv3 not supported by Python 2.7.9
  * Provide option to read SSH credentials from test env
* Wed Jul  1 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev8:
  * Implement guestagent Configuration Manager
* Tue Jun 30 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev6:
  * Make test_ensure_mysql_is_running more robust
* Mon Jun 29 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev4:
  * Fixes the method update_datastore
* Sat Jun 27 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev2:
  * Fixes the failing unit-tests
* Thu Jun 25 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0b2.dev1:
  4.0.0.0b1
  * Implements integration tests for Vertica
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0a1.dev4:
  * Update devstack to handle Trove/Neutron setups
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version trove-4.0.0.0a1.dev3:
  * Update version for Liberty
  4.0.0a0
  * correct the annotation of param
  * Fixes the failing tests in mgmt/test_models.py
  * Remove nova_proxy_admin_user from trove guest
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev103:
  * Fixed API string references to MySql
  * Notification serialization of context
  * Sent in the topic when taskmanager setup
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev97:
  * PostgreSQL guest agent can't remove temp file
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev95:
  * MongoDB single instance backup and restore
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev93:
  * Decrease replication slave retry wait time
  * Adds the missing import to manage.py
  * Fixes db_upgrade and db_downgrade methods
  * Updated from global requirements
  * Added dangling mock detection to 'guestagent'
  * Fix leaked mocks in the 'MockMgmtInstanceTest'
  * correct api schema for instance patch
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev79:
  * Updated from global requirements
  * Remove rsdns directory
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev75:
  * Improving manual install docs
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev73:
  * Fix leaked mocks in the 'LimitsControllerTest'
  * Fixes a broken debug message in schema matching
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev69:
  * Fix create Vertica cluster or instance to show ERROR on failure
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev67:
  * Fixes hacking rules
* Sun May 31 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev65:
  * Updated from global requirements
* Fri May 29 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev64:
  * Move guestagent settings to default section
  * Fixes the unsafe global mocks
  * Fix leaked mocks in the 'guestagent/test_api' module
  * Error message missing tenant id
* Thu May 28 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev58:
  * Added more unit-tests to Vertica-Cluster-Strategy
  * accepting network and availability zone for instances in cluster
  * Fixed the unmocked entry in taskmanager unit-tests
* Wed May 27 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev52:
  * Fix gate failure on gate-trove-pep8
* Sun May 17 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev51:
  * Added dangling mock detection to 'dns' module
* Fri May 15 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev49:
  * Update modules to turn on dangling mock detection
* Thu May 14 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev47:
  * Updated glance API for creating public image
  * Updated from global requirements
  * Added more unit-tests to taskmanager
  * Added unit-tests for mgmt-cluster-service
  * Drop use of 'oslo' namespace package
  * Fix leaked mocks in the 'common' module if any
* Tue May 12 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev36:
  * Updated from global requirements
  * Fix leaked mocks in the 'upgrade' module if any
  * Added dangling mock detection to 'backup' module
  * Added dangling mock detection to 'cluster' module
* Fri May  8 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev28:
  * Added dangling mock detection to 'mgmt' module
  * Added dangling mock detection to 'conductor'
  * Added dangling mock detection to 'taskmanager'
  * Added dangling mock detection to 'secgroups'
* Thu May  7 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev21:
  * Implement dangling mock detector for unittests
  2015.1.0
  * Remove [Service] section from mongo config tmpl
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  * Updated from global requirements
* Tue May  5 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev34:
  * Imported Translations from Transifex
  * Fixes the unsafe mocking in test_dbaas
* Sun May  3 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev30:
  * Abstract 'mkdir' shell commands in guestagent
* Fri May  1 2015 cloud-devel@suse.de
- Update to version trove-2015.2.0.dev29:
  * Added more unit-tests to guestagent
  * Corrects order of parameters to assertEqual
  * Fix Mongo status check to work for Mongo 3.0
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev29:
  * Fix process attribute check in BackupRunner
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev27:
  * Updated from global requirements
  * Remove [Service] section from mongo config tmpl
  * Add unix_socket_directories setting for pgsql
  * Support testing on 32 bit systems
  * Fixes unit-tests in test_dbaas.py
  * Fixes mocking of operating_system.service_discovery
  * Added more unit-tests to Vertica
  * Moves taskmanager-common-code for clusters
  * Change nova_proxy_admin_tenant_name to id
* Mon Apr 20 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev11:
  * add devstack plugin
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev9:
  * Abstract 'mv'/'cp' shell commands in guestagent
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev7:
  * Abstract rm/chmod shell commands in guestagent
  * Fixes the rollback of flavor resize for couchdb, db2 & vertica
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev4:
  2015.1.0rc1
  * Update openstack-common reference in openstack/common/README
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version trove-2015.2.dev63:
  * Open Liberty development
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev61:
  * Eject-replica-source chooses most recent slave
* Wed Apr  8 2015 bwiedemann@suse.com
- Update to version trove-2015.1.dev59:
  * Update redis system.py paths for current RHEL/CentOS/Fedora
  * Fixes config templates for mysql & percona
  * Adds rpc_ping method to new datastores
  * Avoid unnecessary restart of replication master
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev51:
  * Make integration-tests run quicker
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev49:
  * Remove ordereddict from requirements.txt
  * Use UTC to compute heartbeat age in eject-replica-source
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev45:
  * Fixes the resize APIs for Vertica-guest
  * Fix replica source state validation
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev41:
  * Fixed NotificationTransformer to handle missing InstanceServiceStatus
  * Corrects list_database query for MySQL
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev37:
  * Use oslo util to determine network interface
  * Update Trove to use novaclient v2
  * Rewrites the ClusterView.build_instances
  * Add short document on building guest images
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev29:
  * Fix DB2 unit test to properly mock restart
  * Updating Flavor Resize Restrictions
* Sun Mar 29 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev25:
  * Add support for DB2 datastore in Trove
  * Reject negative volume size in API
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev21:
  * Implement clustering for Vertica datastore
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev19:
  * Fix CouchDB unit test to properly mock restart
  * Fix common misspellings
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev15:
  * Corrects my.cnf location in RHEL based distros
  * Fix the mocking in test_dbaas.py
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev11:
  * Includes snapshot parameter to vertica & couchdb
* Mon Mar 23 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev9:
  * Move sql_xx params to [database] conf section
  * Updated from global requirements
  * Replication V2
  * bypass_url required in nova admin client
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev2:
  * Remove flaky assert from TestMgmtInstanceDeleted test
  2015.1.0b3
  * Add support for HP Vertica datastore in Trove
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev56:
  * Add Mgmt API For Testing RPC Connectivity
  * Add support for CouchDB datastore in Trove
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev53:
  * Enhance Mgmt-Show To Support Deleted Instances
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev51:
  * Update config-detach to not remove default config
* Sun Mar 15 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev49:
  * Imported Translations from Transifex
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev48:
  * Integrate OSprofiler and Trove
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev46:
  * Cleaned up redundancy between instance update() and edit()
  * Inject guest conf files to configurable location
* Sat Mar  7 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev42:
  * Updated from global requirements
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev41:
  * Updated from global requirements
  * Introduce a classification of datastores and strategies
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev38:
  * Fix PostgreSQL volume definitions
* Mon Mar  2 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev36:
  * convert the max and min values to int instead of string
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev34:
  * Remove now obsolete tox targets
  * Changed error message for datastore parameter for configuration-create
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev30:
  * Fixes package configuration method in pkg.py
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev28:
  * Updated from global requirements
  * Do not use '/tmp' as default guestagent log location
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev25:
  * Delete mysql error log file as root on restore
  * Correct a test and order of parameters to assertEqual
* Mon Feb 23 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev21:
  * Updated from global requirements
  * Create docs test target
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev18:
  * Use canonical MySQL root pwd reset procedure
* Mon Feb 16 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev16:
  * Provide more readable error message when swift is not installed
  * Updated from global requirements
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate.conf
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev13:
  * Updated validation_rules.json due to MySQL doc
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev11:
  * Update cassandra.yaml ownership after write_config operation
  * Fix backup state check while restoring an instance
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev7:
  * Deletes volume on instance delete after resize
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev6:
  * Imported Translations from Transifex
* Mon Feb  9 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev4:
  * Updated from global requirements
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev3:
  * Update CONTRIBUTING.RST file
  * resync oslo-incubator code
  2015.1.0b2
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev60:
  * Update DatastoreNotFound status code to 404
  * Move cluster strategies to strategies/cluster
* Sun Feb  1 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev56:
  * Add limit stanzas for mongos
* Sat Jan 31 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev54:
  * Added 'redis' test group to int-tests
  * Changed hardcoded Mongodb username to variable
  * Updated from global requirements
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev49:
  * Use dict comprehensions instead of dict constructor
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev47:
  * MySQL restore wait for shutdown before killing
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev45:
  * Support string flavor IDs
  * Adds negative unittests to test_backup_controller.py
* Sun Jan 25 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev41:
  * Updated from global requirements
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev40:
  * Correct calls to mask_password() which no longer work
  * Spelling errors fixed
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev36:
  * Eliminate redundant modules from oslo-incubator
  * Imported Translations from Transifex
  * Quote Postgres names to avoid implicit conversion
  * Trove create with --backup fails for postgresql
  * Using consistent control_exchange option for rpc
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev27:
  * Address predictable temp file vulnerability
  * Fix trove-tox-doc-publish-checkbuild failures
  * Obsolete oslo-incubator modules - processutils
  * Use unit file to enable systemd service
* Sat Jan 10 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev20:
  * Fix MongoDB guest strategy implementation
* Fri Jan  9 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev18:
  * Obsolete oslo-incubator modules - wsgi
  * Obsolete oslo-incubator modules - exception
* Wed Jan  7 2015 cloud-devel@suse.de
- Update to version trove-2015.1.dev16:
  * Integration with oslo.messaging library
  * Obsolete oslo-incubator modules - gettextutils (now oslo.i18n)
  * Config Group Load Fails If DS Version Inactive
* Wed Dec 24 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev11:
  * Obsolete oslo-incubator modules - jsonutils (now oslo.serialization)
* Sat Dec 20 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev9:
  * remove keystonemiddleware settings from api-paste.ini
* Fri Dec 19 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev7:
  * Adds negative test to test_instance_controller.py
  * Enable volume resize tests
* Thu Dec 18 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev3:
  * Assign os_region_name a default value
* Wed Dec 17 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev1.g0fec4bc:
  * Obsolete oslo-incubator modules - timeutils
  2015.1.0b1
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev127.gfd09669:
  * Updated from global requirements
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev126.g8d5d26a:
  * Fix trove resize-volume resize2fs error
  * Obsolete oslo-incubator modules - unused modules
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev123.g80dde96:
  * Updated from global requirements
  * Clean up github references from docs
  * Fix timeout in test_slave_user_removed int-test
  * Obsolete oslo-incubator modules - importutils
  * Eliminate duplicated LoopingCall and LoopingCallDone code
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev113.g50418b5:
  * Workflow documentation is now in infra-manual
  * Complete mocking for test_extensions
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev109.g5b4ba92:
  * Legacy MySQL datastore is shown on datastore-list
  * Add missing api example for incremental backups
  * Remove Python 2.6 classifier
  * Rename attrs_exist() to contains_allowed_attrs()
  * Check for server attributes before using them
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev101.ga91c9d3:
  * Forbid replica provisioning from replica site
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev100.g0253557:
  * Poll for replica read_only status in test
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev98.g3864816:
  * Rename attrs_exist(
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev97.g5f252e3:
  * Validate backup size during restore
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev95.g6fed8c2:
  * Eliminate use of sudo for two things that don't need it
  * Added regression test for config with long value
  * Added Replication templates for Percona
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev89.g47d25e8:
  * Ensure Replication Tests do not use a stale token
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev87.g27c2e6c:
  * Add few audit log messages to guestagent module
* Sat Nov 22 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev86.g32864c5:
  * Fix broken instance provisioning with disabled volume support
  * Updated from global requirements
  * Create example generator
  * Deleting failed replication backup can hide error
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev79.gb36fefe:
  * Rename generic variable named with mysql specific name
  * Increase instances.task_description column size
  * Fix exception handling in get_replication_snapshot
  * Update and correct documentation snippets
  * Updated from global requirements
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev72.gbe45bd3:
  * Updated from global requirements
  2014.2
  * cluster_config argument missing in prepare()
  * restart_required cfg-param is bool and not string
  2014.2.rc2
  * convert restart_required to 'true' or 'false' string
  * Refreshed translations
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev69.gc8a641b:
  * configuration parameters payload changed
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev67.g1fbeb60:
  * making service catalog for endpoints more configurable
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev66.g38aaa60:
  * Couchbase backup failing
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev64.gcd31f3d:
  * Imported Translations from Transifex
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev63.g0953449:
  * Updated from global requirements
  * Update some log calls for translation and lazyness
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev60.g271cdc0:
  * Updated from global requirements
  * Couchbase Root Password Can Go Out Of Sync
  * Document that H301 and H306 are ignored on purpose
  * Instance-Delete Should Stop the Database First
  * Configuration group checking 0 validation rules
  * Yum install should get a list of packages as a string
  * Imported Translations from Transifex
  * Allow users the ability to update an instance name
  * Updated from global requirements
  * Logging audit for guestagent/redis
  * Miscellaneous Cluster Fixes
  * Update config.template for Cassandra 2.1.0
  * Increase test rate limit to avoid rate limit error
  * add back the deleted parameter in the configuration group tests
  * Update contributing.rst to include guidelines on Code Review
  * Mark strings for translation
  * Mgmt Reboot allowed if datastore in crashed state
  * Mark trove as being a universal wheel
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev27.g99d0e16:
  * cluster_config argument missing in prepare()
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev25.gde1780f:
  * Logging audit for guestagent/mongodb
  * Cluster Error On Missing Volume Sizes Unoptimal
  * restart_required cfg-param is bool and not string
  * fixing the flags for guest on resize volume
* Sun Oct 12 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev18.gf46b23e:
  * convert restart_required to 'true' or 'false' string
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev16.g87d6049:
  * Stop using intersphinx
* Wed Oct  8 2014 dmueller@suse.com
- Update to version trove-2015.1.dev14.g89bf927:
  * Imported Translations from Transifex
  * Removing dependency on trove models in the guest agent
  * Add SUSE support in mysql datastore
  * Add support to detect SUSE
- Rebased patches:
  + 0001-Add-support-to-detect-SUSE.patch dropped (merged upstream)
  + 0002-Add-SUSE-support-in-mysql-datastore.patch (merged upstream)
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev6.g59789cb:
  * Docs: Fix Sphinx warnings
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev4.gba7ed70:
  2014.2.rc1
  * Event simulator II
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version trove-2015.1.dev55.gd8f0c4a:
  * Use unique passwords for replication user
  * Open Kilo development
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev51.g957f72b:
  * Add templates for replica and replica source
  * Partially address concerns in Couchbase restore strategy
* Wed Oct  1 2014 tbechtold@suse.com
- Run DB migrations before starting the API daemon.
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev48.g4ea962b:
  * Make the replication snapshot timeout configurable
  * Use different timeouts for create and restore
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev44.g2a6fc35:
  * Mandate detach replicas before deleting replica source
  * Discover config file for mongodb
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev40.ga5c5150:
  * Updated from global requirements
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev38.g3cebe10:
  * Isolate unit tests from integration tests data
  * Deprecate unused entries in cfg.py
  * Sync latest process and str utils from oslo
    (bnc#899190, CVE-2014-7230, CVE-2014-7231)
  * Document Trove configuration options
  * Add postgresql to notification_service_id option
  * loading configuration parameters from trove-manage better
  * Fixed database migration script issues
  * Updated from global requirements
  * Fix config parameters test for fake mode
  * Delete backup created during replication
  * Make --repo-path an optional argument for db_recreate
  * Imported Translations from Transifex
  * Fix NoSuchOptError on Couchbase create
  * Strengthens the regex for mongodb json functions
  * Register postgres_group in trove config
  * Marks mysql slave read-only
  * Fix issue with intermittent test failures in test_pkg.py
  * Updated from global requirements
  * In some cases, guest agents may leave temporary config files
- Refresh 0003-add-a-NoopPackagerMixin-class.patch
* Tue Sep  9 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev6.g02a48b2:
  2014.2.b3
  * Datastore Configuration Parameters stored in db
  * Add detach-replica support
  * make backup_incremental_strategy a datastore specific option
  * Fix unit tests to work with random PYTHONHASHSEED
  * Clusters Guest Implementation
  * Clusters TaskManager Implementation
  * Clusters API Implementation
  * Fixed restore to work correctly with pexpect
  * Add PostgreSQL support
  * Cleaned up sample trove-guestagent.conf
  * Use netifaces to lookup IP address on guest agent
  * allow both ipv4 and ipv6 hostnames by default
- Removed 0006-hostname_require_ipv4-False.patch. Applied upstream.
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev90.gc22f658:
  * Use 'replica' instead of 'slave'
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev88.gd0a8e6e:
  * Updated from global requirements
* Mon Sep  1 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev86.g4ce625d:
  * Avoid leaking mocks across unit tests
  * Imported Translations from Transifex
  * Look up trove instance by ID instead of name
  * handle repeating mysqld options containing equals
  * Added the bind_host configuration option when launching the API
  * show stdout/err from failed command execution
  * Adjusted audit logging for trove.instance module
  * Load trove API extensions using stevedore
- Remove 0004-handle-repeating-mysqld-options-containing-equals.patch.
  Applied upstream
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev71.g12eb9c2:
  * Add replication slave info to instance show
  * Snapshot component for replication
  * Unit Tests for Mysql replication functionality
* Wed Aug 27 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev65.g03cc265:
  * Removing the XML info from the docs
  * Set the python hash seed that tox uses to 0
  * Move usage_timeout out of guest options
  * Mysql guest agent functionality for replication
- Refresh 0006-hostname_require_ipv4-False.patch
- Update Requires and BuildRequires
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Thu Aug 21 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev58.g6aca4ed:
  * Add new checklinks tox environment
  * guestagent/mysql: Remove unused function
- Refresh 0002-Add-SUSE-support-in-mysql-datastore.patch
- Refresh 0004-handle-repeating-mysqld-options-containing-equals.patch
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev52.gc9173f2:
  * Adjusted audit logging for taskmanager module
* Wed Aug 13 2014 tbechtold@suse.com
- Update to version trove-2014.2.dev50.g804644c:
  * Update 'list_users' call to use AGENT_HIGH_TIMEOUT
  * Correct monkey patching in GuestAgentBackupTest
  * recent audit log change broke this LOG.debug message
  * Mocks utils.execute_with_timeout for mongodb tests
  * Imported Translations from Transifex
  * guestagent/test_volume.py leaves a file in /tmp
  * Imported Translations from Transifex
  * Logging audit for trove/mysql module
  * Sync service.py from oslo-incubator with deps
  * Logging audit for guestagent/strategies module
  * Moved core int-test groups from trove-int to trove
- Refresh 0004-handle-repeating-mysqld-options-containing-equals.patch
* Mon Aug  4 2014 freyes@suse.com
- add 0005-fix-mysql-pid-file-path.patch
- add 0006-hostname_require_ipv4-False.patch
* Sun Aug  3 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev32.g057bd86:
  * Per datastore volume support
  * Logging audit for guestagent/cassandra
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev28.g54b0f01:
  * Logging audit for trove/guestagent/datastore module
  * Logging audit for guestagent/couchbase
* Thu Jul 31 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev24.ga316400:
  * Updated from global requirements
  * Logging audit for trove/guestagent/backup module
* Thu Jul 31 2014 freyes@suse.com
- add 0001-Add-support-to-detect-SUSE.patch
- add 0002-Add-SUSE-support-in-mysql-datastore.patch
- add 0003-add-a-NoopPackagerMixin-class.patch
- add 0004-handle-repeating-mysqld-options-containing-equals.patch
* Wed Jul 30 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev20.g484b911:
  * Remove accounts use of non-existent Nova extension
  * Logging audit for trove/guestagent module
  * document running a small set of tests
  * Reports enabled-root for restored instance
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev12.g5f98abb:
  * fix pexpect.spawn.match AttributeError
  * Handle error from execute() when deleting non-existant file
  * Logging audit for trove/configuration module
* Mon Jul 28 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev6.g1d9e282:
  * Make configuration tests configurable by datastore
  * guestagent/volume: Remove not necessary sudo call
  2014.2.b2
  * Handle exception from pexpect child.close
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev123.g8bbcc39:
  * Add neutron support
  * Imported Translations from Transifex
  * guestagent contract for packages should be a list
  * Make default extension path relative to pybasedir
  * Refactored datastores to use common chown function
  * Restrict backup-list on instance to tenant
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev111.g826367e:
  * Use auth_token from keystonemiddleware
  * Manual install page needed swift info
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev108.g5869b3c:
  * Add Backup/Restore support for Couchbase
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev106.g98083f6:
  * Enhance trove-manage help
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev104.gd8edbc3:
  * Add datatore/version name into configurations response
  * Ensure routing key is specified in the address for a direct producer
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev100.g24b1f25:
  * Fix tracking of SG's provisioned by Heat
* Thu Jul 17 2014 iartarisi@suse.com
- Separate the trove-guestagent init script in order to set
  /etc/guest_info as an additional config file and also modify its
  permissions
* Wed Jul 16 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev98.g46d8e0f:
  * Fixes redundant get call in a few places
  * Remove setuptools_git requirement
  * Fix backup execution workflow
  * Imported Translations from Transifex
  * Stop cassandra during configuration and volume migration
  * Enable usage of config-drive for file injection
  * Add instance IP to /instances
  * Fixed '--version' for trove processes/utilities
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev82.gf383f7e:
  * Change default for update_status_on_fail
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev80.g3b36c5a:
  * Imported Translations from Transifex
  * Enable trove to specify cinder volume_type when creating a volume
  * Fix updated timestamp for SecurityGroup model
  * Deleting incremental backup metadata after restore
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev72.g7e170cc:
  * Updated from global requirements
  * Use (# of CPUs) api/conductor workers by default
  * Logging audit for trove/common module
* Mon Jul  7 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev66.g7247b10:
  * Imported Translations from Transifex
  * Add CONTRIBUTING.rst
  * Imported Translations from Transifex
  * Logging audit for trove/db module
  * Add guestagent API calls for replication
  * Added route for Admin API to support guest upgrade
* Fri Jul  4 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev54.g2fb101f:
  * Updated from global requirements
  * Remove redundant heat templates from codebase
  * Imported Translations from Transifex
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev49.g367f4e0:
  * Expose trove conductor manager class as conf property
  * Add sample admin_{user,tenant_name,password}
* Wed Jul  2 2014 iartarisi@suse.com
- Add python-trove dependency to -guestagent subpackage
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev45.gbf51b5e:
  * Sync processutils from oslo with deps
  * Sync jsonutils (and dependencies) from oslo-incubator
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev41.g76c2e6a:
  * Imported Translations from Transifex
  * Add timestamps and instance count to config groups
  * Logging audit for trove/backup module
  * Corrects typo in instance models and service
  * Updates developer install doc to use trove cli
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev32.gb28a71c:
  * Imported Translations from Transifex
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev31.g36d39c9:
  * Updated from global requirements
  * Fix data too long for column 'task_description'
  * Fix typos in trove/instance/models.py
  * Fix enable on boot when working with systemd and symlinked units
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev23.gf2967bd:
  * Delete undeclared variable in guest-agent API class
  * Add slave_of_id to instance model
  * Imported Translations from Transifex
  * Add warnings when a path for api_extensions_path does not exist
  * Adds exception handling around heat stack creation
* Tue Jun 24 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev14.g46a2f7d:
  * Imported Translations from Transifex
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev13.g0a6de43:
  * Reverting deleted tests
  * Fix inheritance for ConfigurationParameterDeleted
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev9.gcb5405e:
  * Apply six for metaclass
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev7.g736b406:
  * Imported Translations from Transifex
  * Add datastore version to backups
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev4.g064622e:
  * Make default extension path relative to pybasedir
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev2.g77575ab:
  2014.2.b1
  * Add a new column and indexes to agent_heartbeats
  * Added an int-test for user-update-attributes
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev143.ga410643:
  * Fix calls for proboscis methods
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev141.g22a8885:
  * Increase time_out to 30 sec for failing int-tests
  * Use tcp/udp ports from config for heat templates
  * Increased stop timeout for cassandra
  * Wait for Couchbase to be ready before node-init
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev133.g1bda572:
  * Enabled H402 flake8 rule
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev131.g7111637:
  * Adds the foundation for datastore capabilities
  * Update database-api to follow OpenStack conventions
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev127.g8600268:
  * pep8: Ignore locale files
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev125.g2b95362:
  * Fix log reporting for DNS creation process
  * switch from mox to mox3
  * Include datastore version details in datastore calls
  * Remove unused xml config file
  * Clean up openstack-common.conf
  * Corrects the class name "ExtensionManager"
  * Corrects mgmt-taskmanager startup method
* Thu May 29 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev112.g8b033da:
  * Fail a test if time.sleep called for no reason
* Wed May 28 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev110.g71446a6:
  * Remove admin_token from configs
* Tue May 27 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev108.g7350ee6:
  * Cleans up ServiceUser.__str__ method
  * Fix heat template for cassandra
* Fri May 23 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev104.g5f019cc:
  * Imported Translations from Transifex
  * Consider datastore version when generating configs
* Thu May 22 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev101.g4916c2c:
  * Remove all mostly untranslated PO files
* Wed May 21 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev100.g30eebb6:
  * Updated from global requirements
  * debug level logs should not be translated
  * Imported Translations from Transifex
  * Get service endpoints from catalog
  * Added support of resize-flavor to Redis datastore
  * Pretty print JSON sample files
* Tue May 20 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev89.ge7e3be7:
  * Specify correct constraint name for postgresql
  * Fix prepare call for redis guest agent
  * Datastore_versions.name shouldn't be unique
* Wed May 14 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev84.gaa48179:
  * Migrate v20 not handling exception
  * Added fix to support Couchbase resize-flavor
* Sat May 10 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev80.ge58fea0:
  * Resolves volume resize issue
  * Add heat.template for Redis datastore
* Fri May  9 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev76.g3abfb49:
  * Imported Translations from Transifex
  * Fix datastore tests so that they pass in live mode
  * Add support for 'trove root-enable' in Couchbase
* Thu May  8 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev70.g66b0c1e:
  * Fix missing use of test config datastore version in tests
  * Use six.StringIO/BytesIO instead of StringIO.StringIO
  * Improve help for backup_incremental_strategy
  * Unmounting ephemeral if it has already been mounted
  * Remove usages of deprecated name LoopingCall in rpc
  * Check that all po/pot files are valid
  * Make sure eventlet starts correctly
  * Bind to all interfaces for MongoDB
* Sun May  4 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev55.g33bfce2:
  * Updated from global requirements
* Sat May  3 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev53.g207adcd:
  * Corrected the assert message in test_dbaas.py
  * Moved the apidocs from openstack/database-api
* Fri May  2 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev49.g381c164:
  * Imported Translations from Transifex
* Thu May  1 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev48.g444840b:
  * Improve help strings
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev47.gff8f9e5:
  * Imported Translations from Transifex
  * Correct inconsistent state issues with config
  * Mocks out file.open to not rely on OS dependent files
  * changing conductor logging levels
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev39.ge764e83:
  * Fix Couchbase Kill Command
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev37.g753f80d:
  * Test restore full and restore incremental
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev35.gd07c8c0:
  * Added separate rate limit setting for mgmt POST
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev34.g7f20bfa:
  * Updated from global requirements
  2014.1
  * Use six.moves.urllib.parse instead of urlparse
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev30.g744a5bd:
  * Correct the command to stop cassandra server
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev28.g8fc4370:
  * Trove doesn't use extras
  * fix default rabbitmq configuration values in sample cfgs
* Thu Apr 10 2014 dmueller@suse.com
- Update to version trove-2014.2.dev24.g611d3f1:
  * Remove dependencies on pep8, pyflakes and flake8
  * Collapse mysql OptGroup Sections
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev20.g2baf5d8:
  * Fix internal error generated from config-detach
  * Don't specify admin_token in paste config
  * Changes Volume Prefix From mysql To datastore
  * Start using oslosphinx theme for docs
  * Removes volumes redefinition in fake nova_client
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev10.g1136959:
  * Pop instead of get for timeout kwarg
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev8.gd6fd314:
  * Changed assert statement of test_volume_found
  2014.1.rc1
  * Change Cassandra to Service Start vs Bin
  * Remove unused variables
* Thu Apr  3 2014 cloud-devel@suse.de
- Update to version trove-2014.2.dev64.g6f6d27d:
  * Open Juno development
  * Fixed unit test to not actually run backup command
  * Fix create call for security group rules
  * Updated from global requirements
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev57.g3668abc:
  * Remove mockito, and replace with mock
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev56.g45a868a:
  * Tox tests should not require errors in rigid order
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev55.g025bad1:
  * Fixed unit test to not actually run backup command
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev53.g6979cea:
  * Imported Translations from Transifex
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev52.g463fafa:
  * Setup trove for translation
  * Added Backup/Restore validations
  * Update sqlalchemy migrate scripts for postgres
  * Remove IDENTIFIED BY clause for MySQL REVOKE
  * Fixes insecure update of /etc/fstab file
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev42.g679500b:
  * Hide Datastores In List With No Active Versions
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev40.g932c020:
  * Fix Timestamp diff in Instance and Notification
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev38.g11bf422:
  * Improve Datastore Not Implemented exceptions
  * Removes XML api from trove
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev34.g0245501:
  * Parses default configuration of an instance
  * Make hostnames in designate driver all lower case
  * Fixed Instance Status usage
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev28.gd92e50b:
  * Add timeout on prepare call per datastore
  * Don't run main() on import
  * Improve readme.rst
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev22.gc66b2e3:
  * Root_on_create per datastore
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev20.g21b0a57:
  * Fixed backup unittests to use mocked cmd
  * Removes extra initialization from config
  * rename and fix the db_wipe command
  * Remove Min/Max for Configuration Group Booleans
  * Increases timeout for guest agent resize_fs
  * Update Oslo wiki link in README
  * Adding missing indexes for trove db
  * the check for status.status should happen before trying to log it
  * Adding "version" to "datastore" field during list instances API call
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev2.gee1fc92:
  2014.1.b3
  * Rename Openstack to OpenStack
* Fri Mar  7 2014 speilicke@suse.com
- Add python_requires source service
- Fix requirements
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev101.gfba8cab:
  * Initial support for single instance MongoDB support
  * Fixes restore from incremental backups for Percona
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev97.g2b91548:
  * Fix inconsistent usage of mount_point
  * simplify dns_ip_address code
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev94.g89f517f:
  * Adding percona secgroup config
  * Raise max header size to accommodate large tokens
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev91.gc68d4e5:
  * Add security group rules for Couchbase
  * Initial support for single instance Couchbase
  * Make backup/restore pluggable
  * Security groups workflow update
  * Fixes get configuration defaults
  * Fix Redis After Configuration Group Merge
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev79.g8f200b7:
  * Remove extraneous vim configuration comments
  * Fixes a race condition in resize flavor for Percona
  * Call debug_utils.setup() in all entry points
  * Use consistent timeouts for integration tests
  * Remove unused admin_context from conductor manager
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev69.gb8b820b:
  * fix traceback when default_version is not in the database
  * Improve help strings
* Wed Feb 19 2014 dmueller@suse.com
- switch over to non-openstack-prefixed user
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev65.gcf5088b:
  * Add clearer help kwarg for max_volumes_per_user
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev63.ge6d3fd7:
  * Raises BadRequest for grant_access on ignore_dbs
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev61.g09bdbc0:
  * Initial support for single instance Cassandra Database
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version trove-2014.1.dev59.g22b80bd:
  * Fixes a race condition in resize flavor
  * Adding Incremental Backups
* Wed Feb 12 2014 dmueller@suse.com
- add rundir tmpfiles support
* Tue Feb 11 2014 speilicke@suse.com
- Update to version 2014.1.dev55.ge8bd3e6:
  * Corrects service URLs from "%%s/%%s/" to "%%s/%%s"
  * Remove copyright and comments from empty files
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Mon Feb 10 2014 iartarisi@suse.com
- Update to version 2014.1.dev51.gc72edbd:
  + Modifying tests to run with different configurations
  + Adding additional datastore tests
  + Ignore outdated messages sent to conductor
  + Adding override.config.template for percona
  + adding configuration group support
  + Fixes resizes for volumes attached to active Nova servers
  + Make test mysql connection code less confusing
  + Corrects matching of heat resources status
  + Migrating trove to entry points
  + Changing DNS to pass string to driver
  + Fix default_datastore migration script
* Tue Feb  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev36.gcfb9116:
  + Add Neutron support
  + Corrects matching of heat resources status
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev33.g67e3e7a:
  + Fix default_datastore migration script
  + Replaces local generate_uuid with common.utils
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev29.g65be031:
  + Fix Occasional test_one_network_label_exact Fail
  + Makes the backup tests less onerous
  + Simplify swift storage load logic
  + Disable redundant DB initialization on guesagent's start
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev21.gc6de543:
  + Mask database user's password in trove logs
  + RootReport through Taskmanager
  + changing the routes for the api to be clear
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev15.gb54e1a6:
  + Corrects help messages in cfg.py
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev14.gc145533:
  + Add Volume Resize filesystem size assertion
  + Make use of IP filtering when creating DNS records
  + Validate databases for user grants
  + Datastores improvements
  + Remove copyright from empty files
  + Added Redis Crud Operations
  + Instance details view shows hostname (if it has it) or IP
  + Edits on help strings
  + Spelling correction in taskmanager/models.py
  + Adds exception handling to heat code
  + Changes encoding from 'ascii' to 'utf-8'
  + make datastore_version_id required
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev99.g68a5481:
  + move datastore manager to the datastore version
  + Cleans and improves heat code path
  + Adds Missing _() for Exception Message Translation
  + Using base32 encoding to generate DNS records
  + Removes unused "server" from taskmanager
* Thu Jan 16 2014 dmueller@suse.com
- fix requires
* Wed Jan 15 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev90.g1085ea2:
  + Relocates generate_random_password to common.utils
  + Updates oslo.context
  + Replace oslo.uuidutils module with trove.utils
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev87.gf18e093:
  + Fixed misspelled help message in cfg.py
  + Fixup indentation errors found by Pep8 1.4.6+
  + Adds missing dependency to the documentation
  + Removes deprecated usage of BaseException.message
  + Log service_status.status instead of service_status
  + Adds LOG in event_simulator.py
  + Enabled F403 flake8 rule
  + Removes BuiltInstanceTasks.get_volume_mountpoint
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev72.g17d9bd5:
  + Update for datastore tests to support multiple datastore types
  + Add volume total to Mgmt Instance Get
  + Adds tenant_id to guest_info in heat code
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev66.g1291207:
  + Removes privilege modification for MYSQL_BASE_DIR
  + Removes directory creation prior to _tmp_mount
  + make the bin scripts called with main()
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev60.g84dbe87:
  + server identifier corrected
  + Paginate backup list api
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev57.geab8a82:
  + Adds non-volume-support to create server with heat
  + Corrects the help message for trove_volume_support
* Wed Dec 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev54.ge20e29b:
  + don't try to concatenate a string with a variable that can be None
  + Moving storage logic out of backup runner class
  + Properly mark a backup as FAILED if the process failed
  + Removes dead code from trove/tests/api/root.py
  + Cleans the method init_engine
  + Changes command to create the directory
* Sat Dec 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev43.g59a778b:
  + Acknowledge Nova VERIFY_RESIZE as RESIZE state
* Fri Dec 13 2013 iartarisi@suse.com
- Mark config files and install them with mode 0640
* Fri Dec 13 2013 iartarisi@suse.com
- Split guestagent into its own subpackage
* Fri Dec 13 2013 iartarisi@suse.com
- Fix config files used in the initscripts
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev41.g1ebc934:
  + Fix deleted_at timestamp in usage tests
  + Extract suffix from req URL to avoid escaping dots
  + db: make compatible with SQLAlchemy 0.8
  + Updated from global requirements
  + Fixed typos in files in trove/guestagent.
  + use_stderr should be False for tox tests
  + Add -U to pip install command in tox.ini
  + Fixed misspellings of common words
  + Conductor Does Not Default to Verbose/Debug Logs
  + Enabling H403, H702 rules
  + Updates trove-guestagent.conf.sample
  + Removing IDE specific ignores
  + Fix mysqldump backup and restore
  + check for invalid hostnames on update_attributes
* Thu Dec 12 2013 iartarisi@suse.com
- Split taskmanager into its own subpackage
* Thu Dec 12 2013 iartarisi@suse.com
- Fix ownershp of /var/cache/trove dir
* Thu Dec 12 2013 iartarisi@suse.com
- Fix init file rundir (replace 'cinder' with 'trove')
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev13.g73afcc1:
  + Fixed PEP8/flake8 issues
  + Replace "tokenauth" by "authtoken" in configuration files
* Tue Dec 10 2013 iartarisi@suse.com
- Add python-xml runtime dependency
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev10.g4790ba1:
  + Update tox.ini to use new features
* Sun Dec  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev9.g5eede25:
  + Added ability to pass custom command-line options to backup runner
  + Clean up zombie processes on backup failure
  + setting fake mode to print startup errors
  + Unittest Case for get_user
* Fri Dec  6 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev158.g2daad86:
  + Removes unused import statements
  + Updates tox.ini to remove suppressed H401.
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev156.gd66c411:
  + Removes security_groups from _create_server_volume_heat signature
* Wed Nov 27 2013 speilicke@suse.com
- Add conductor sub-package
- Update to version 2014.1.dev155.g3845766:
  + Conductor proxies host db access for guests
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev154.g5755ede:
  + Fixes trove-api daemon fake mode functionality.
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev152.g043f4e9:
  + Corrects heat template for mysql.
  + Adding designate dns support to trove
  + Allow query logging
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev147.g34b9bac:
  + Add default case for mysqld_bin
  + Remove radmin credentials from create_heat_client
  + need to mock out of the clear_expired_passwords for tox
  + User-Create Host Does Not Allow Wildcarded Octet
* Thu Nov 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev139.gad4bbe1:
  + Externalization of heat template
  + Added logging in taskmanager models && _() strings
  + Fix action_result check
  + Update openstack/common/lockutils
  + host response attribute should prefer 'host' instead of 'hostId'
  + Add a hook for backup processes to check if successful.
  + Add support of datastore types
  + Fixing typos in _create_server_volume.
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev125.g12f2b0d:
  + Convert to a more modern form of openstack-common.conf
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev123.g4455746:
  + Update tests to work with the latest testtools
  + Replace GUID with generated password
  + Add optional ip address filter for hiding ips
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev118.g0b6136c:
  + Fix checksum verification exception.
* Wed Oct 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev117.ge41eed6:
  + Add Backup/Restore Checksum Validation
  + Fix bug in Security Group association to Instance
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev113.g8f88998:
  + Fix white_box mode for integration tests.
  + Fix service_type in instance creation using heat services
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a109.gbbca764:
  + Provide service type management code structure
  + Add tests for hosts mgmt commands
  + Simulates events so run_tests.py executes 10x faster
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a103.gb214e9e:
  + Security groups workflow update
* Sat Oct 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a102.g29d7b60:
  + Fix User ID in Context and Notifications
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a100.g45e6d0f:
  + Moved create_instance DNS attempt to post-prepare
  + Fixes pagination with non-string markers types.
* Thu Oct 17 2013 dmueller@suse.com
- fix requires
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a97.gd146dda:
  + Add GA related parameters to trove-taskmanager.conf.sample
  + Replace deprecated method aliases in tests
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a93.gbafa175:
  + Fixing restart tests
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a91.g20f9bea:
  + Update trove-guestagent.conf.sample
  + Fix quota issue where usages can drop to negative value
  + Quote and escape pagination markers
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a85.gf38685f:
  + Modifying tests to use the compat client
  + Update statuses on GA timeout
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a83.g9f55a06:
  + Support Optional Super User in Instance Create
  + Extract generic part of GA code from MySQL specific modules
  + Task manager refactoring done
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a78.gad3714c:
  + fixing symlink attack bug present in the application.
  + Pydev remote debugging support added.
  + Add tenant id to guest_info file
  + Correct the fake implementation of UsageVerifier
  + Adding location attribute to Fake Backup object.
  + Remove Duplicate trove_auth_url Property
  + Fix the fake nova server implementation
  + Allow early host %% on validate
  + Allow service_id per service_type for Usage Events
  + PEP8. E125, F811, F401, H703
  + Service Registration using conf file
  + Fix Timestamps for Resize Usage Events
* Wed Oct  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a57.g24e3a07:
  + Volume timeout is set too low
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a55.g04ab44d:
  + PEP8. F841
  + Update from global requirements
  + Added server_id to my.cnf template logic
  + Fixed method signature _create_server_volume_heat
* Fri Sep 27 2013 dmueller@suse.com
- fix logrotate
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a48.g307b014:
  + Adds instructions for manual Trove installation
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a46.g0247cc9:
  + User and Database List in Create Not Validated
  + Require oslo.config 1.2.0 final
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a42.gcc1c60e:
  + oslo-incubator rpc update
  + Move ServiceStatuses from trove.instance to trove.common
  + Replace OpenStack LLC with OpenStack Foundation
  + Rename webtest to WebTest
  + Duplicate Import Statement
  + Vote for channel logging
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a31.gc05fc3f:
  + Allow optional availability_zone to be passed
  + PEP8 rules. H102,103,201
* Wed Sep 18 2013 dmueller@suse.com
- install config files
- fix api not starting up
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a27.g1b85f2b:
  + Set sane defaults for required conf params in trove/common/cfg.py
* Mon Sep 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a25.gb3779e7:
  + service_statuses updated_at Field Not Set
  + Fix and enable gating on H702
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a22.g4935d9b:
  + Fixed Admin Auth Token in Notification
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a20.g009fab6:
  + Increased unit test coverage
  + Fixed backups so that they no longer fail when backup size is > 2GB
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a16.g84c3e6f:
  + Open Icehouse development
  + Fixed directory create exec
  + Mark sensitive cfg options with secure flag
  + Use LOG.exception in place of sys.exc_info.
  + Do not use locals() for string formatting
  + Fix and enable gating on H703 - string localisation
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a6.g2485028:
  + Modify User Attributes API - Fix
  + Enclose command args in with_venv.sh
* Mon Sep  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a2.gc062b26:
  + Made apischema a bit less restrictive.
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a76.g1a8c62a:
  + Implementing heat as an optional provisioning system
  + Adds includedir back to templates
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a72.g6ecab67:
  + Trove - service_statuses status set to delete when instance deleted
  + Support Security Group Name Prefix Customization
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a68.gc6214d8:
  + jsonschema upgrade to v1.3.0(as minimal)
  + Add and associate security group rule with group.
  + Implement resize volume method
* Mon Sep  2 2013 dmueller@suse.com
- Update to version 2013.2.a64.ge3b7881:
  + Changed system commands depends on OS version
  + Adds init file for routes directory.
  + pep8 checking was added for bin folder
  + Update nova_volume_url to cinder_url in CONF files
  + Fixed use of word separators in Notification
  + Modify unit test to allow cli to merge
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a54.g1467437:
  + Fix admin extension gives 500 when listing instances
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a52.gcfd4981:
  + Ensure safe format strings for TroveError
  + Reindenting a function call in taskman models
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a48.g7f2def7:
  + Guest config file injection
* Tue Aug 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.g901b020:
  + Update oslo.cfg to >= 1.2.0
* Sat Aug 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a44.gd523f31:
  + Fix resize volume stuck in "RESIZE" status
  + Add instance cloudinit support
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a41.g352b3f7:
  + Add RPM class implementation
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a40.gb79ebd7:
  + Use same Nova Client throughout Fresh Instance Task
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a38.g39df6f1:
  + Removing mycnf static files from contrib.
  + Moves extension files to routes
  + Secure root password on restore from backup after root-enable
* Mon Aug 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a32.g7a64781:
  + allows a mgmt user to migrate an instance to a specific host
  + Fix bug with insecure instance on Prepare loss
  + Fixing bug in Interrogator tests mocks.
  + Configurable network labels used for showing IPs in instance details
* Thu Aug  8 2013 dmueller@suse.com
- switch to python-setuptools
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a25.g4307d36:
  + Turns pkg.py into a system aware packager
* Tue Aug  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a23.g58917ea:
  + Adding volume size to the backup views/models.
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a21.g0252acc:
  + Replace nova client with cinder client to use volume
  + Fix spelling of python.
  + Clear new or building backups on reset-task-status
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a15.gcf88263:
  + Modify User Attributes - name, host and password
  + Renamed secgroup description
* Wed Jul 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a11.g80c22c5:
  + Added docs and made template filename variable
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a10.ga9eb50e:
  + Added param name to validation error messages
  + Update to latest Oslo rpc modules
  + Makes two tests wait for the instance to go ACTIVE
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a5.ge9d559d:
  + Added developer documentation for Trove
  + Make Volume conditionally required attribute in Instance Create Schema
  + Fix drift in deleted timestamp for Notification and Database
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a725.g1815d5d:
  + Create templated config files
  + Bump pbr to the version 0.5.16
  + Change the swift file deletion to use the manifest.
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a720.g5cca5ef:
  + Wildcards in User Host
  + Migrating the create/resize code to use flavor obj
  + Add service_type to the instances table
* Sun Jul 14 2013 dmueller@suse.com
- fix config installation
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a714.g563c274:
  + Python 3.x compatibility fixes
* Mon Jul  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a712.gcc25f9b:
  + Fixing the broken API contract for flavor_id
  + Requirements: Remove factory_boy, allow SQLAlchemy 0.7.10
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a709.g64e91bb:
  + Adding instance id to the security group extension API
  + Enable disk usage view in instance detail view
  + API Validation for Trove API
  + Restore should use pgrep instead of mysqladmin to check for mysql down
* Sat Jun 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a702.geafc62f:
  + Fix Notifications
  + Fixed backups GET and DELETE to restrict access to the owner of backup
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a699.g7d1fc28:
  + Update kombu library version requirement
* Thu Jun 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a697.gdb0dc47:
  + Fixes my.cnf not reverting with a resize revert.
  + GuestTimeout needed to be imported.
  + Fix few missed issues with the reddwarf -> trove rename
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a693.gcbbd024:
  + Folder structure layout stuff
  + Adding a script for getting the environment up and running
  + Adding a gitignore
  + Got a nice API shell working
  + Got the basics of the viewbuilder working for list instances
  + Getting the delete call and refactoring the req/proxy_token a bit
  + Adding idea project folder
  + Experimental changes to create instance. this is untested
  + Making the API look more like melange. this made the api a TON cleaner than modeling it after the existing nova code.
  + A bit more cleanup to remove melange code, and making the auth code work again.
  + Adding a bit of code to get novaclient working via proxy token.
  + Adding extensions to the app, and shell extensions for users & schema
  + Making a data/view model based on remote objects
  + Getting hooked up w/ the db.
  + Adding the missing reddwarf-manage binscript
  + Adding the venv/unit test framework stuff
  + Adding the beginnings of ubuntu bootstrap
  + Figured out how to create/add qcow ubuntu images
  + Moving the old bootstrap in anticipation of nuking it
  + Adding next_steps.txt so everyone can see my thoughts
  + First pass attempt at a service_image registry in the db
  + Fleshed out the basics for the guest-agent scp firstboot.
  + Initial checkin of rpc code
  + Added the taskmanager class with some testing rpc code
  + keystone made some changes
  + ull request #1 from hub-cap/add_service_cod
  + ull request #2 from hub-cap/add_guest_agen
  + ull request #4 from cp16net/instructions-updat
  + ull request #3 from TimSimpsonR/unit-test-ven
  + ull request #5 from TimSimpsonR/pep8-fi
  + Fixed Pep8 errors.
  + ull request #6 from TimSimpsonR/remove-ap
  + ull request #7 from TimSimpsonR/pep8-fixes-
  + updates to get create working
  + fixing pep8 things
  + fix the config
  + ull request #8 from cp16net/api-instance
  + ull request #9 from hub-cap/use_contex
  + ull request #10 from hub-cap/use_contex
  + ull request #11 from hub-cap/add_controller_test
  + ull request #12 from hub-cap/add_remote_model_test
  + ull request #13 from cp16net/instance-api-improvment
  + ull request #14 from TimSimpsonR/version-i
  + ull request #15 from hub-cap/add_more_coverag
  + ull request #16 from TimSimpsonR/fix_tenant_i
  + ull request #18 from cp16net/clean-up-for-create-test
  + Changed the proxy_tenant_id to "reddwarf" since this is what KeyStone expects.
  + ull request #19 from TimSimpsonR/pep8-and-import-fi
  + ull request #20 from TimSimpsonR/pep8-and-import-fi
  + Adding getattr and setattr back to fix the bug I just added.
  + Adding the guestagent.
  + ull request #21 from hub-cap/get_guest_workin
  + ull request #23 from hub-cap/add_mycn
  + ull request #22 from TimSimpsonR/instance-addition
  + ull request #25 from TimSimpsonR/fix-ks-hac
  + Fixed our keystone hack.
  + ull request #26 from TimSimpsonR/fix-load-attemp
  + ull request #27 from hub-cap/fix_amq
  + ull request #28 from TimSimpsonR/fix-load-attemp
  + ull request #29 from hub-cap/guest_updat
  + ull request #30 from cp16net/validatio
  + ull request #31 from hub-cap/conf.
  + ull request #32 from TimSimpsonR/fix-statuse
  + Added status code, return 422 when trying to delete a busy instance.
  + ull request #33 from TimSimpsonR/fix-statuses
  + Adding list_users for mysql users
  + Built out create_user call.
  + Added the delete user call.
  + ull request #36 from hub-cap/databases_call
  + ull request #34 from TimSimpsonR/bug-fi
  + ull request #37 from hub-cap/fix_unprocessable_extension
  + ull request #38 from TimSimpsonR/delete_instanc
  + ull request #39 from hub-cap/use_uui
  + ull request #40 from hub-cap/root_enable
  + Adding validation to user/schema.
  + Added validation to the users/databases/root calls.
  + ull request #41 from TimSimpsonR/fix-list
  + ull request #42 from hub-cap/add_validatio
  + Updated the context object in all services.
  + Fixing up the internal_message
  + Making the exception_map work for extensions
  + ull request #47 from hub-cap/new_contex
  + ull request #48 from hub-cap/fix_extension_ma
  + Adding Flavors API: models, views, and service.
  + Fixed the Flavors API so the URLs returned are correct and all tests are passed.
  + Fixed the discrepancy between detail and plain view; fixed links in models
  + Used new style of context and moved the req to the constructor in the views.
  + Moved build_links and req into the view, cut out some redundant exceptions
  + Removed some vestigial CONFIG and LOG lines.
  + ull request #55 from ed-/flavors_ap
  + ull request #53 from TimSimpsonR/diet-reddwarf-lit
  + ull request #58 from hub-cap/misc_update
  + Show ips based on a flag value
  + Every time I see a LOG.something(, I've wrapped _() around its contents.
  + Fixed some of the overzealous _() wrapping to exclude the parameters being handed to the format strings.
  + Fixed some RPC casts and context problems that happened during a rebase.
  + Removed some more wrappers around some exceptions.
  + Removed some overzealous wrapping.
  + Adding initial dbs to the prepare call
  + ull request #56 from ed-/i18
  + ull request #59 from hub-cap/add_ip
  + ull request #60 from ed-/i18n_fi
  + ull request #61 from hub-cap/rename_service_imag
  + ull request #63 from hub-cap/make_service_extensibl
  + ull request #62 from TimSimpsonR/fake-db-op
  + Added API code for actions.
  + Continued to work on restart API.
  + Fixed a few simple issues with the restart code.
  + ull request #64 from TimSimpsonR/api-actions
  + ull request #66 from hub-cap/make_guest_configurabl
  + Fixed root history schema; skeleton of root history model
  + Started the mgmt framework.
  + Added root history to instance details. Still need to move the root history over to mysql/extensions, but the int tests work right now.
  + Fixed a comment and added InstanceStatus.ERROR since it seemed to be missing.
  + PEP8 on a comment and removed a log debug line.
  + Moved X-User call to WSGI middleware.
  + ull request #67 from sacharya/mgmt-framewor
  + ull request #70 from hub-cap/add_ap
  + ull request #71 from hub-cap/add_ap
  + ull request #68 from ed-/roo
  + Allowing a user to add a volume to the instance on create api call
  + clean up and change the volume desription to have the instance id
  + ull request #65 from cp16net/volume-api-part
  + ull request #72 from hub-cap/add_manifes
  + Continued work on resize_flavor.
  + Made resize almost work.
  + Made resize work in fake mode.
  + Fixed things suggested in the pull request.
  + ull request #69 from TimSimpsonR/resize_flavo
  + ull request #73 from ed-/root-to-mgm
  + ull request #75 from hub-cap/change_clien
  + ull request #74 from ed-/roothistory-fi
  + ull request #76 from TimSimpsonR/tiny_flavo
  + ull request #78 from cp16net/volume-service-endpoin
  + ull request #77 from TimSimpsonR/service_status_updated_a
  + ull request #79 from hub-cap/add_manage_service_imag
  + ull request #80 from rnirmal/port_updat
  + ull request #81 from rnirmal/port_updat
  + DNS Support for Instance IP.
  + Changing rsdns_records table name to be rax independent.
  + ull request #83 from TimSimpsonR/500_on_volume_failur
  + Issue 500 if the volume fails to prov.
  + ull request #84 from TimSimpsonR/500_on_volume_failur
  + Fixed typo.
  + ull request #82 from sacharya/rackspace-dn
  + Optional hostname in view
  + ull request #88 from sacharya/rackspace-dn
  + ull request #85 from hub-cap/fix_delet
  + ull request #91 from rnirmal/vol_fi
  + ull request #89 from rnirmal/taskmanage
  + First beginnings of pagination
  + ull request #90 from TimSimpsonR/resize_flavor_extra_assert
  + ull request #92 from hub-cap/fix_validatio
  + ull request #86 from ed-/paginatio
  + ull request #87 from hub-cap/fix_versio
  + Changing version in reddwarf.conf.sample.
  + ull request #94 from rnirmal/poll_unti
  + Fixed infinite loop polling for ip address.
  + ull request #96 from TimSimpsonR/xml_cerea
  + ull request #98 from TimSimpsonR/faster_volume
  + ull request #97 from sacharya/ip-poll-unti
  + ull request #100 from cp16net/volume-dic-not-ob
  + ull request #99 from rnirmal/vol-resiz
  + ull request #102 from TimSimpsonR/volume_validation_fi
  + ull request #103 from TimSimpsonR/error_on_bad_db_or_user_creat
  + ull request #101 from sacharya/instance-resize-asyn
  + ull request #104 from hub-cap/fix_status_code
  + ull request #106 from sacharya/async-creat
  + ull request #107 from hub-cap/add_taskmgr_to_setupp
  + ull request #108 from sacharya/restart-asyn
  + ull request #110 from TimSimpsonR/instance_simplification
  + ull request #111 from TimSimpsonR/instance_simplification
  + Reverting migration 007 to as it was and creating 008.
  + ull request #112 from TimSimpsonR/instance_simplification
  + Fixes an error in update_db.
  + ull request #113 from TimSimpsonR/instance_simplification
  + Changing volume_size to an integer.
  + Changed link generation code.
  + ull request #114 from TimSimpsonR/flavor_link_bette
  + ull request #115 from hub-cap/fix_exception
  + ull request #116 from TimSimpsonR/fix_resize_flavo
  + Query class now makes use of GROUP BY. This fixes a bug with list_users.
  + ull request #118 from rnirmal/context_use
  + ull request #119 from ed-/query-grou
  + ull request #120 from rnirmal/admin_contex
  + ull request #122 from hub-cap/xml_updat
  + ull request #121 from pdmars/example_gen_fixes_for_publi
  + ull request #126 from hub-cap/fix_xml_newline
  + ull request #127 from hub-cap/fix_xml_newline
  + ull request #128 from hub-cap/fix_xml_newline
  + ull request #123 from ed-/error-name
  + ull request #130 from ed-/empty-body-fi
  + ull request #125 from rnirmal/au_revoir_instance_detail
  + ull request #129 from rnirmal/farvel_flavor_detail
  + ull request #133 from rnirmal/mycnf_edit
  + ull request #136 from hub-cap/custom_taskmanager_
  + ull request #135 from hub-cap/temp_fix_null_hostnam
  + ull request #134 from rnirmal/bugfi
  + ull request #132 from rnirmal/used_volum
  + ull request #131 from cp16net/create-instance-add-use
  + ull request #137 from hub-cap/users_defaul
  + Adds deleted and deleted_at fields to the instance table.
  + ull request #140 from TimSimpsonR/dns_fi
  + ull request #142 from TimSimpsonR/server_delete_pol
  + ull request #143 from cp16net/fix-fake-users-n-database
  + ull request #146 from ed-/http-paginatio
  + ull request #145 from TimSimpsonR/get_404_no_mor
  + ull request #144 from ed-/simple-quot
  + ull request #148 from rnirmal/bugfi
  + ull request #149 from rnirmal/bugfi
  + ull request #151 from TimSimpsonR/instances_mov
  + ull request #150 from ed-/report-hostname-to-nov
  + ull request #152 from TimSimpsonR/adding_stop_cal
  + ull request #155 from TimSimpsonR/delete_queue
  + ull request #153 from pdmars/delete_error_fi
  + ull request #154 from ed-/fail-quicke
  + ull request #156 from cp16net/usage-tabl
  + ull request #157 from TimSimpsonR/delete_queue
  + ull request #158 from cp16net/usage_event
  + ull request #160 from TimSimpsonR/change_quota
  + ull request #159 from pdmars/delete_root_fi
  + ull request #161 from pdmars/ignore_users_fi
  + ull request #164 from TimSimpsonR/tox
  + ull request #163 from ed-/delete-error-instance
  + ull request #167 from TimSimpsonR/fix_syntax_erro
  + ull request #165 from cp16net/service-logging-con
  + ull request #166 from TimSimpsonR/config_fi
  + ull request #168 from TimSimpsonR/config_fi
  + Changing the Config get to always use a default value.
  + ull request #169 from rnirmal/bugfi
  + ull request #171 from ed-/occlude-roo
  + ull request #170 from TimSimpsonR/paging_xm
  + ull request #175 from rnirmal/server_volum
  + ull request #174 from ed-/occlude-db
  + ull request #176 from pdmars/list_versions_fi
  + ull request #178 from TimSimpsonR/common_update-
  + ull request #177 from pdmars/admin_user_tenantid_fi
  + ull request #173 from vipulsabhaya/reset-passwor
  + Adding a accounts management api extension
  + Adding MGMT hosts call.
  + Mgmt instances.
  + Added attributes for management instance get.
  + fixing diagnostics tests for fake mode
  + Mgmt storage device details
  + Adding the deleted filter for account instances
  + Moved mgmt instances into its own directory.
  + Allowing resizes to be performed when MySQL is down.
  + adding management host update action
  + Added an admin task-manager.
  + Removes defaultdict references from mgmt account and instance views.
  + Pruning one more tree() from the codebase.
  + Fixing xml serialization for accounts
  + adding mgmt action to reboot an instance
  + Allowed us to grab a mgmt instance that lacks a backing server.
  + management api call to list all accounts with non-deleted instances
  + Adding task_description to mgmt instance model.
  + Adding task_description to mgmt instance model. Wrapped a 404-happy server load to fix mgmt instance list for busted instances.
  + Host list detail now includes the tenant id of each instance.
  + Removing unnnecessary line of code, which was causing mgmt/instances to not load correctly.
  + Updated metadata to support XML in the mgmt api.
  + Fixed small bug in fake mode.
  + Removed fault guest queue delete code since it's already in delete_async.
  + fake mode working with new novaclient create_server_volume method
  + Fixing bad import to reflect openstack common RPC.
  + add exception handling for trying to update bad instances
  + mgmt status call should allow for deleted instances and show them as shutdown
  + Fixed fake mode, which didn't work with our new changes.
  + Adds filtering for deleted instances in the mgmt instance lists. Fixes deleted and deleted_at fields.
  + mgmt call to get hardware info (cpu and memory) from an instance
  + ull request #179 from TimSimpsonR/declaring_topic
  + ull request #181 from ed-/fix-resize-messag
  + ull request #180 from TimSimpsonR/mgmt-instance-improvemen
  + ull request #182 from TimSimpsonR/local_runne
  + ull request #183 from TimSimpsonR/local_runne
  + ull request #184 from ed-/pep8-fixe
  + ull request #185 from ed-/pep8-fixe
  + ull request #186 from TimSimpsonR/local_runne
  + ull request #187 from ed-/pep8-fixe
  + ull request #188 from TimSimpsonR/fake-mode-fi
  + ull request #189 from ed-/pep8-fixes-fixe
  + ull request #191 from ed-/fix-instance-hos
  + ull request #192 from TimSimpsonR/require_admin_contex
  + ull request #194 from jcruz7/fix_taskmanager_lo
  + ull request #195 from sacharya/mgmt-migrat
  + ull request #197 from TimSimpsonR/fake-resca
  + Adding the ability to rescan server volumes to fake mode.
  + ull request #198 from TimSimpsonR/fix-to
  + ull request #196 from ed-/instance-status-fi
  + Added .gitreview file.
  + Aligned tox file with project.
  + Removes the vestigial tests.
  + checks before deleting kwargs from the context
  + Remove tabs in sample my.cnf
  + added a TODO:
  + Fix type in test-requires.
  + Add vim formatting line
  + Uses the view to circumvent an error related to the assumption that instance.server is present.
  + Removed unused import. Fixes bug #1078522.
  + Removed TODO:
  + Do not update flavor if timeout occurs in resize.
  + remove double colons
  + This is to fix bug 1079827. Please work.
  + dummy changes
  + Adding tests to Reddwarf.
  + For bug 1079863, fake commit
  + Add volume usage information to the management api detailed view.
  + Use reddwarf instead of reddwarf_lite
  + Updated the README.
  + No longer import db_api while parsing db __init__.
  + specify rpc version for guestagent manager
  + Adding test for volume used attribute for management api
  + Update tools/install_venv.py to work w/ latest pip
  + Always call 'spawn_after' for eventlet in fake mode.
  + Change validation to require non-blank name for instances.
  + Fixes another fake mode eventlet bug.
  + Fixing the constant for mysql server validation in apt.
  + Updates tests to run in other configurations.
  + Fixing DNS issues related ot changing db_api.
  + After migration, don't null the instance flavor
  + Better defaults that fix volume support
  + Correcting a log message in resize code.
  + Avoids using guest mgmt API functions.
  + Part 1: Create group for simple unit tests
  + Adding some dbaas.py unittests
  + Fixed bug 1091927: Pep8 tests are broken for reddwarf
  + Update oslo codebase within reddwarf.
  + Avoid null pointer. Fix pep8 mystery problems.
  + - switch to testtools - remove pep8 warnings - more unit tests for dbaas.py, covers create_user, enable_root - refactoring
  + Check for 'reddwarf_can_have_volume'
  + add back the mysql_base_dir variable to the guest
  + ADD unit tests for guestagent/manager.py
  + Fixing property for pid_file from "mysqladmin --print-defaults"
  + Add unit test for guestagent.service.py and query.py
  + fix int-tests running with out volume
  + Adding guest agent pkg unit tests and running them with testr
  + Add unit tests for guestagent.models.py Delete guestagent.utils.py since it is no longer invoked anywhere.
  + Fix for bug where returned instance status in UnprocessableEntity exception is an empty dictionary.
  + Consolidating multiple volume flags into a single flag.
  + More changes to facilitate oslo.
  + Adding flags to ssh cmd to bypass host checking
  + Checks guest status during migration.
  + Add unit tests for guestagent.volume.py
  + Add unit tests for guestagent.api.py
  + testr unit tests for versions api
  + create a test adapter for entering an instance and executing a cmd
  + Add unit tests for guestagent.db.models.py
  + Negative Taskmanager Resize/Migration fixes.
  + Fixing race condition during instance deletion.
  + Add more unittests to guest agent
  + Adding a config option for running XML client
  + Fixing the coverage reports for the unittests and adding support for TestR.
  + Add missing Import
  + Adds reset-task-status mgmt api instance action
  + Prevent Upstart from restarting guest in Restart tests
  + Ignore .testrepository directory.
  + Specify Python 2.7 for cover environment in Tox.
  + Added the cover directory to .gitignore.
  + Modify-user features.
  + Change default service_type in tests to 'database'
  + Implement alternate root privileges
  + remove the namespace_packages from setup.py
  + Joins oslo dict values with reddwarf values.
  + Fixing run_tests.py so it emits an error upon failure.
  + Quota feature
  + Rate limits implementation
  + Store the context in the local.store.
  + Use tarball for python-reddwarfclient dependency
  + Fixes data type bug in get-user call
  + Refresh setup.py from Oslo
  + Added tests for Modify User Call
  + percona image for reddwarf
  + Add python-keystoneclient to deployment dependency for reddwarf
  + Tests the API in XML mode.
  + Update test-requires to point to rd cli tarball
  + Pinning proboscis to a specific version.
  + Ensure to_dict() returns auth_tok
  + Restoring the ability to run fake mode locally.
  + Test no accept headers
  + update MANIFEST.in to include specific scripts in etc/reddwarf
  + Adds absolute limits to limit API call
  + Adding instance ID to DNS error message.
  + Fix for missing quota property for int tests part1
  + fix coverage for jenkins - temp fix
  + Fixing the signing dir and cleaning up the paste config.
  + Addresses failing quota int-tests
  + Adds optional hostname to calls involving users
  + Add snapshot ORM to reddwarf
  + Added support for Security Groups via a new extension.
  + Adding checks when updating a quota
  + Adding a running method to the Backup Model
  + Addresses xml issues for quota unit tests
  + Stop the deprecated use of Exception.message to please Python
  + Updating tests to use altered quotas show method.
  + fixing the flavor tests
  + Fixes test in response to optional hostname fix
  + Add Apache 2.0 LICENSE file.
  + s/OpenStack LLC/OpenStack Foundation/ in Copyright.
  + Makes the guest work for more than just mysql.
  + fixing taskmanager exception after migration is complete
  + Remove unused authutils.
  + Refreshed Oslo Code
  + Controller and API changes for backups.
  + added malformed json tests
  + Quota tests
  + Adding ability to run XmlLint for each API call.
  + Stop granting users GRANT OPTION by default.
  + Migrate to flake8.
  + Re-introduced support for rpc delete_queue
  + Adding the start of notifications
  + Refresh Oslo code - add support for ssl
  + Fixes some user and user-access call errors.
  + Backup and Restore for reddwarf instances.
  + Added optional arg to launch child processes
  + Add flavor API  support for ephemeral
  + Changes the conf files so redstack doesnt clobber them anymore.
  + Fixed format string vulnerability in reddwarf call to OpenstackException handler
  + Ephemeral volume support
  + Adding a SERVICE_REGISTRY for percona - bug 1185138
  + setting up the right percona pkg to be used - bug1185205
  + Adding missing config value
  + Use database name validation only on listing and loading of databases
  + Fixing delete backup
  + Migrate to pbr.
  + Updated to use normal requirements names.
  + chmod 755 bin/reddwarf-mgmt-taskmanager
  + Don't require an admin user if there isn't a need.
  + Renaming security group URL API
  + Integer Flavor Ids
  + Fixed race condition in the Restore workflow
  + Allow remote implementations to be overridden.
  + Adding delete restore instance tests
  + Adding Exists Event Publishing
  + Renamed repos to trove.
  + Remove explicit depend on distribute.
  + Fix quota bug where it raises exception when resources are deleted
  + Fixed restore to wait for full mysqld shutdown before attempting restart
  + Adding support for encrypted backups.
  + Change server exceptions to show less details
  + Changed instances of the name reddwarf with trove in the README
  + Fix faulty 404 errors when requesting bad versions
  + Add trove.egg* entry in .gitignore
  + Rename from reddwarf to trove.
  + Package AUTHORS and ChangeLog file
  + Fix up trivial License Header mismatches
  + Rename README to README.rst
  + Start using Hacking
* Mon Jun 24 2013 dmueller@suse.com
- Initial package
